Index: openafs/src/WINNT/afsd/NTMakefile
diff -c openafs/src/WINNT/afsd/NTMakefile:1.27.2.9 openafs/src/WINNT/afsd/NTMakefile:1.27.2.10
*** openafs/src/WINNT/afsd/NTMakefile:1.27.2.9	Sun May 29 23:52:52 2005
--- openafs/src/WINNT/afsd/NTMakefile	Sun Oct  2 02:08:55 2005
***************
*** 276,282 ****
  install: install_headers install_objs $(CONF_DLLFILE) \
  	$(EXEDIR)\klog.exe \
  	$(EXEDIR)\tokens.exe \
! 	$(EXEDIR)\unlog.exe $(EXEDIR)\afsd.exe $(EXEDIR)\afsd_service.exe \
  	$(EXEDIR)\fs.exe \
          $(EXEDIR)\symlink.exe \
          $(EXEDIR)\afsdacl.exe \
--- 276,283 ----
  install: install_headers install_objs $(CONF_DLLFILE) \
  	$(EXEDIR)\klog.exe \
  	$(EXEDIR)\tokens.exe \
! 	$(EXEDIR)\unlog.exe \
! 	$(EXEDIR)\afsd_service.exe \
  	$(EXEDIR)\fs.exe \
          $(EXEDIR)\symlink.exe \
          $(EXEDIR)\afsdacl.exe \
***************
*** 287,293 ****
  install9X: install_headers $(CONF_DLLFILE) \
  	$(EXEDIR)\klog.exe \
  	$(EXEDIR)\tokens.exe \
! 	$(EXEDIR)\unlog.exe $(EXEDIR)\afsd_service.exe \
  	$(EXEDIR)\fs.exe $(EXEDIR)\symlink.exe \
  	$(LOGON_DLLFILE) $(LOG95_DLLFILE) \
  	$(EXEDIR)\afsshare.exe \
--- 288,294 ----
  install9X: install_headers $(CONF_DLLFILE) \
  	$(EXEDIR)\klog.exe \
  	$(EXEDIR)\tokens.exe \
! 	$(EXEDIR)\unlog.exe $(EXEDIR)\afsd.exe $(EXEDIR)\afsd_service.exe \
  	$(EXEDIR)\fs.exe $(EXEDIR)\symlink.exe \
  	$(LOGON_DLLFILE) $(LOG95_DLLFILE) \
  	$(EXEDIR)\afsshare.exe \
***************
*** 380,386 ****
  AFSD_EXELIBS =\
  	$(DESTDIR)\lib\libosi.lib \
  	$(DESTDIR)\lib\afsrpc.lib \
-         $(DESTDIR)\lib\afsrx.lib \
  	$(DESTDIR)\lib\afsauthent.lib \
  	$(DESTDIR)\lib\afs\mtafsvldb.lib \
  	$(DESTDIR)\lib\afs\mtafsint.lib \
--- 381,386 ----
Index: openafs/src/WINNT/afsd/afsd_init.c
diff -c openafs/src/WINNT/afsd/afsd_init.c:1.40.2.23 openafs/src/WINNT/afsd/afsd_init.c:1.40.2.24
*** openafs/src/WINNT/afsd/afsd_init.c:1.40.2.23	Sat Aug 27 23:45:15 2005
--- openafs/src/WINNT/afsd/afsd_init.c	Sun Oct  2 02:08:55 2005
***************
*** 536,541 ****
--- 536,543 ----
      DWORD cacheSize;
      long logChunkSize;
      DWORD stats;
+     DWORD rx_enable_peer_stats = 0;
+     DWORD rx_enable_process_stats = 0;
      long traceBufSize;
      long maxcpus;
      long ltt, ltto;
***************
*** 987,992 ****
--- 989,1012 ----
      if (rx_mtu != -1)
          afsi_log("RX maximum MTU is %d", rx_mtu);
  
+     dummyLen = sizeof(rx_enable_peer_stats);
+     code = RegQueryValueEx(parmKey, "RxEnablePeerStats", NULL, NULL,
+                            (BYTE *) &rx_enable_peer_stats, &dummyLen);
+     if (code != ERROR_SUCCESS) {
+         rx_enable_peer_stats = 0;
+     }
+     if (rx_enable_peer_stats)
+         afsi_log("RX Peer Statistics gathering is enabled");
+ 
+     dummyLen = sizeof(rx_enable_process_stats);
+     code = RegQueryValueEx(parmKey, "RxEnableProcessStats", NULL, NULL,
+                            (BYTE *) &rx_enable_process_stats, &dummyLen);
+     if (code != ERROR_SUCCESS) {
+         rx_enable_process_stats = 0;
+     }
+     if (rx_enable_process_stats)
+         afsi_log("RX Process Statistics gathering is enabled");
+ 
      dummyLen = sizeof(ConnDeadtimeout);
      code = RegQueryValueEx(parmKey, "ConnDeadTimeout", NULL, NULL,
                             (BYTE *) &ConnDeadtimeout, &dummyLen);
***************
*** 1123,1128 ****
--- 1143,1154 ----
      rx_StartServer(0);
      afsi_log("rx_StartServer");
  
+     if (rx_enable_peer_stats)
+ 	rx_enablePeerRPCStats();
+ 
+     if (rx_enable_process_stats)
+ 	rx_enableProcessRPCStats();
+ 
      code = cm_GetRootCellName(rootCellName);
      afsi_log("cm_GetRootCellName code %d, cm_freelanceEnabled= %d, rcn= %s", 
                code, cm_freelanceEnabled, (code ? "<none>" : rootCellName));
Index: openafs/src/WINNT/afsd/cm_ioctl.c
diff -c openafs/src/WINNT/afsd/cm_ioctl.c:1.33.2.15 openafs/src/WINNT/afsd/cm_ioctl.c:1.33.2.18
*** openafs/src/WINNT/afsd/cm_ioctl.c:1.33.2.15	Fri Sep  9 08:53:17 2005
--- openafs/src/WINNT/afsd/cm_ioctl.c	Mon Oct  3 12:34:16 2005
***************
*** 537,543 ****
  {
      long code;
      cm_scache_t *scp;
-     unsigned long volume;
      int i;
      cm_req_t req;
  
--- 537,542 ----
***************
*** 760,765 ****
--- 759,822 ----
      return 0;
  }
  
+ long cm_IoctlGetFid(struct smb_ioctl *ioctlp, struct cm_user *userp)
+ {
+     cm_scache_t *scp;
+     register long code;
+     register char *cp;
+     cm_fid_t fid;
+     cm_req_t req;
+ 
+     cm_InitReq(&req);
+ 
+     code = cm_ParseIoctlPath(ioctlp, userp, &req, &scp);
+     if (code) return code;
+ 
+     memset(&fid, 0, sizeof(cm_fid_t));
+     fid.volume = scp->fid.volume;
+     fid.vnode  = scp->fid.vnode;
+     fid.unique = scp->fid.unique;
+ 
+     cm_ReleaseSCache(scp);
+ 
+     /* Copy all this junk into msg->im_data, keeping track of the lengths. */
+     cp = ioctlp->outDatap;
+     memcpy(cp, (char *)&fid, sizeof(cm_fid_t));
+     cp += sizeof(cm_fid_t);
+ 
+     /* return new size */
+     ioctlp->outDatap = cp;
+ 
+     return 0;
+ }
+ 
+ long cm_IoctlGetOwner(struct smb_ioctl *ioctlp, struct cm_user *userp)
+ {
+     cm_scache_t *scp;
+     register long code;
+     register char *cp;
+     cm_req_t req;
+ 
+     cm_InitReq(&req);
+ 
+     code = cm_ParseIoctlPath(ioctlp, userp, &req, &scp);
+     if (code) return code;
+ 
+     /* Copy all this junk into msg->im_data, keeping track of the lengths. */
+     cp = ioctlp->outDatap;
+     memcpy(cp, (char *)&scp->owner, sizeof(afs_uint32));
+     cp += sizeof(afs_uint32);
+     memcpy(cp, (char *)&scp->group, sizeof(afs_uint32));
+     cp += sizeof(afs_uint32);
+ 
+     /* return new size */
+     ioctlp->outDatap = cp;
+ 
+     cm_ReleaseSCache(scp);
+ 
+     return 0;
+ }
+ 
  long cm_IoctlWhereIs(struct smb_ioctl *ioctlp, struct cm_user *userp)
  {
      long code;
***************
*** 2310,2315 ****
--- 2367,2415 ----
      return 0;
  }
  
+ long cm_IoctlRxStatProcess(struct smb_ioctl *ioctlp, struct cm_user *userp)
+ {
+     afs_int32 flags;
+     int code = 0;
+ 
+     memcpy((char *)&flags, ioctlp->inDatap, sizeof(afs_int32));
+     if (!(flags & AFSCALL_RXSTATS_MASK) || (flags & ~AFSCALL_RXSTATS_MASK)) {
+         return -1;
+     }
+     if (flags & AFSCALL_RXSTATS_ENABLE) {
+         rx_enableProcessRPCStats();
+     }
+     if (flags & AFSCALL_RXSTATS_DISABLE) {
+         rx_disableProcessRPCStats();
+     }
+     if (flags & AFSCALL_RXSTATS_CLEAR) {
+         rx_clearProcessRPCStats(AFS_RX_STATS_CLEAR_ALL);
+     }
+     return 0;
+ }
+ 
+ long cm_IoctlRxStatPeer(struct smb_ioctl *ioctlp, struct cm_user *userp)
+ {
+     afs_int32 flags;
+     int code = 0;
+ 
+     memcpy((char *)&flags, ioctlp->inDatap, sizeof(afs_int32));
+ 
+     if (!(flags & AFSCALL_RXSTATS_MASK) || (flags & ~AFSCALL_RXSTATS_MASK)) {
+ 	return -1;
+     }
+     if (flags & AFSCALL_RXSTATS_ENABLE) {
+         rx_enablePeerRPCStats();
+     }
+     if (flags & AFSCALL_RXSTATS_DISABLE) {
+         rx_disablePeerRPCStats();
+     }
+     if (flags & AFSCALL_RXSTATS_CLEAR) {
+         rx_clearPeerRPCStats(AFS_RX_STATS_CLEAR_ALL);
+     }
+     return 0;
+ }
+ 
  #ifdef DJGPP
  extern int afsd_shutdown(int);
  extern int afs_shutdown;
Index: openafs/src/WINNT/afsd/cm_ioctl.h
diff -c openafs/src/WINNT/afsd/cm_ioctl.h:1.8.2.2 openafs/src/WINNT/afsd/cm_ioctl.h:1.8.2.4
*** openafs/src/WINNT/afsd/cm_ioctl.h:1.8.2.2	Wed Sep  7 12:31:14 2005
--- openafs/src/WINNT/afsd/cm_ioctl.h	Sun Oct  2 02:08:55 2005
***************
*** 47,52 ****
--- 47,59 ----
  extern unsigned int   cm_sysNameCount;
  extern char *         cm_sysNameList[MAXNUMSYSNAMES];
  
+ /* flags for rxstats pioctl */
+ 
+ #define AFSCALL_RXSTATS_MASK    0x7     /* Valid flag bits */
+ #define AFSCALL_RXSTATS_ENABLE  0x1     /* Enable RX stats */
+ #define AFSCALL_RXSTATS_DISABLE 0x2     /* Disable RX stats */
+ #define AFSCALL_RXSTATS_CLEAR   0x4     /* Clear RX stats */
+ 
  #ifndef __CM_IOCTL_INTERFACES_ONLY__
  
  void cm_InitIoctl(void);
***************
*** 69,74 ****
--- 76,85 ----
  
  extern long cm_IoctlGetVolumeStatus(smb_ioctl_t *ioctlp, cm_user_t *userp);
  
+ extern long cm_IoctlGetFid(smb_ioctl_t *ioctlp, cm_user_t *userp);
+ 
+ extern long cm_IoctlGetOwner(smb_ioctl_t *ioctlp, cm_user_t *userp);
+ 
  extern long cm_IoctlWhereIs(smb_ioctl_t *ioctlp, cm_user_t *userp);
  
  extern long cm_IoctlStatMountPoint(smb_ioctl_t *ioctlp, cm_user_t *userp);
***************
*** 140,145 ****
--- 151,160 ----
  extern long cm_IoctlFreemountRemoveCell(smb_ioctl_t *ioctlp, cm_user_t *userp);
  
  extern long cm_IoctlMemoryDump(smb_ioctl_t *ioctlp, cm_user_t *userp);
+ 
+ extern long cm_IoctlRxStatProcess(smb_ioctl_t *ioctlp, cm_user_t *userp);
+ 
+ extern long cm_IoctlRxStatPeer(smb_ioctl_t *ioctlp, cm_user_t *userp);
  #endif /* __CM_IOCTL_INTERFACES_ONLY__ */
  
  #endif /*  __CM_IOCTL_H_ENV__ */
Index: openafs/src/WINNT/afsd/fs.c
diff -c openafs/src/WINNT/afsd/fs.c:1.16.2.15 openafs/src/WINNT/afsd/fs.c:1.16.2.17
*** openafs/src/WINNT/afsd/fs.c:1.16.2.15	Fri Sep  9 15:44:57 2005
--- openafs/src/WINNT/afsd/fs.c	Sun Oct  2 02:08:56 2005
***************
*** 1504,1516 ****
      
      SetDotDefault(&as->parms[0].items);
      for(ti=as->parms[0].items; ti; ti=ti->next) {
! #ifndef WIN32
!         struct VenusFid vfid;
! #endif /* WIN32 */
  	/* once per file */
- 	blob.out_size = MAXSIZE;
  	blob.in_size = 0;
  	blob.out = space;
  	code = pioctl(ti->data, VIOCGETVOLSTAT, &blob, 1);
  	if (code) {
  	    Die(errno, ti->data);
--- 1504,1544 ----
      
      SetDotDefault(&as->parms[0].items);
      for(ti=as->parms[0].items; ti; ti=ti->next) {
!         cm_fid_t fid;
! 	afs_uint32 owner[2];
! 	char cell[MAXCELLCHARS];
! 
! 	code = GetCell(ti->data, cell);
! 	if (code) {
! 	    Die(errno, ti->data);
! 	    error = 1;
! 	    continue;
! 	}
! 
  	/* once per file */
  	blob.in_size = 0;
+ 
+         blob.out_size = sizeof(cm_fid_t);
+         blob.out = (char *) &fid;
+         if (0 == pioctl(ti->data, VIOCGETFID, &blob, 1)) {
+             printf("File %s (%u.%u.%u) contained in cell %s\n",
+                     ti->data, fid.volume, fid.vnode, fid.unique,
+                     cell);
+         }
+ 
+ 	blob.out_size = 2 * sizeof(afs_uint32);
+         blob.out = (char *) &owner;
+ 	if (0 == pioctl(ti->data, VIOCGETOWNER, &blob, 1)) {
+ 	    char oname[PR_MAXNAMELEN] = "(unknown)";
+ 
+ 	    /* Go to the PRDB and see if this all number username is valid */
+ 	    pr_Initialize(1, AFSDIR_CLIENT_ETC_DIRPATH, cell);
+ 	    pr_SIdToName(owner[0], oname);
+ 	    printf("Owner %s (%u) Group %u\n", oname, owner[0], owner[1]);
+         }
+ 	
  	blob.out = space;
+ 	blob.out_size = MAXSIZE;
  	code = pioctl(ti->data, VIOCGETVOLSTAT, &blob, 1);
  	if (code) {
  	    Die(errno, ti->data);
***************
*** 1522,1536 ****
  	offmsg = name + strlen(name) + 1;
  	motd = offmsg + strlen(offmsg) + 1;
  
- #ifndef WIN32
-         blob.out_size = sizeof(struct VenusFid);
-         blob.out = (char *) &vfid;
-         if (0 == pioctl(ti->data, VIOCGETFID, &blob, 1)) {
-             printf("File %s (%u.%u.%u) contained in volume %u\n",
-                     ti->data, vfid.Fid.Volume, vfid.Fid.Vnode, vfid.Fid.Unique,
-                     vfid.Fid.Volume);
-         }
- #endif /* WIN32 */
  	PrintStatus(status, name, motd, offmsg);
      }
      return error;
--- 1550,1555 ----
***************
*** 4178,4183 ****
--- 4197,4203 ----
      }
      return error;
  }
+ #endif /* WIN32 */
  
  static int
  RxStatProcCmd(struct cmd_syndesc *as, char *arock)
***************
*** 4248,4254 ****
  
      return 0;
  }
- #endif /* WIN32 */
  
  #ifndef WIN32
  #include "AFS_component_version_number.c"
--- 4268,4273 ----
***************
*** 4502,4508 ****
  
      ts = cmd_CreateSyntax("getcrypt", GetCryptCmd, 0, "get cache manager encryption flag");
  
- #ifndef WIN32
      ts = cmd_CreateSyntax("rxstatproc", RxStatProcCmd, 0,
  			  "Manage per process RX statistics");
      cmd_AddParm(ts, "-enable", CMD_FLAG, CMD_OPTIONAL, "Enable RX stats");
--- 4521,4526 ----
***************
*** 4515,4520 ****
--- 4533,4539 ----
      cmd_AddParm(ts, "-disable", CMD_FLAG, CMD_OPTIONAL, "Disable RX stats");
      cmd_AddParm(ts, "-clear", CMD_FLAG, CMD_OPTIONAL, "Clear RX stats");
  
+ #ifndef WIN32
      ts = cmd_CreateSyntax("setcbaddr", CallBackRxConnCmd, 0, "configure callback connection address");
      cmd_AddParm(ts, "-addr", CMD_SINGLE, CMD_OPTIONAL, "host name or address");
  #endif
Index: openafs/src/WINNT/afsd/smb_iocons.h
diff -c openafs/src/WINNT/afsd/smb_iocons.h:1.6.2.2 openafs/src/WINNT/afsd/smb_iocons.h:1.6.2.4
*** openafs/src/WINNT/afsd/smb_iocons.h:1.6.2.2	Wed Sep  7 12:31:14 2005
--- openafs/src/WINNT/afsd/smb_iocons.h	Sun Oct  2 02:08:56 2005
***************
*** 92,95 ****
--- 92,99 ----
  #define VIOC_TRACEMEMDUMP               0x29
  #define VIOC_SHUTDOWN                   0x2a
  #define VIOC_FLUSHALL                   0x2b
+ #define VIOCGETFID                      0x2c
+ #define VIOCGETOWNER                    0x2d
+ #define VIOC_RXSTAT_PROC                0x2e
+ #define VIOC_RXSTAT_PEER                0x2f
  #endif /*  __SMB_IOCONS_H_ENV_ */
Index: openafs/src/WINNT/afsd/smb_ioctl.c
diff -c openafs/src/WINNT/afsd/smb_ioctl.c:1.14.2.3 openafs/src/WINNT/afsd/smb_ioctl.c:1.14.2.5
*** openafs/src/WINNT/afsd/smb_ioctl.c:1.14.2.3	Wed Sep  7 15:24:39 2005
--- openafs/src/WINNT/afsd/smb_ioctl.c	Sun Oct  2 02:08:56 2005
***************
*** 79,84 ****
--- 79,88 ----
  	smb_ioctlProcsp[VIOC_TRACEMEMDUMP] = cm_IoctlMemoryDump;
  	smb_ioctlProcsp[VIOC_ISSYMLINK] = cm_IoctlIslink;
          smb_ioctlProcsp[VIOC_FLUSHALL] = cm_IoctlFlushAllVolumes;
+         smb_ioctlProcsp[VIOCGETFID] = cm_IoctlGetFid;
+         smb_ioctlProcsp[VIOCGETOWNER] = cm_IoctlGetOwner;
+         smb_ioctlProcsp[VIOC_RXSTAT_PROC] = cm_IoctlRxStatProcess;
+         smb_ioctlProcsp[VIOC_RXSTAT_PEER] = cm_IoctlRxStatPeer;
  }
  
  /* called to make a fid structure into an IOCTL fid structure */
Index: openafs/src/WINNT/client_creds/window.cpp
diff -c openafs/src/WINNT/client_creds/window.cpp:1.11.2.4 openafs/src/WINNT/client_creds/window.cpp:1.11.2.5
*** openafs/src/WINNT/client_creds/window.cpp:1.11.2.4	Sat Aug 20 20:51:35 2005
--- openafs/src/WINNT/client_creds/window.cpp	Sat Oct  1 00:52:04 2005
***************
*** 171,181 ****
                       }
                    lock_ReleaseMutex(&g.credsLock);
                    CheckMenuItem (hm, M_REMIND, MF_BYCOMMAND | ((fRemind) ? MF_CHECKED : MF_UNCHECKED));
! 
                    TrackPopupMenu (GetSubMenu (hmDummy, 0),
                                    TPM_RIGHTALIGN | TPM_RIGHTBUTTON,
                                    pt.x, pt.y, NULL, hDlg, NULL);
! 
                    DestroyMenu (hmDummy);
                    }
                 break;
--- 171,181 ----
                       }
                    lock_ReleaseMutex(&g.credsLock);
                    CheckMenuItem (hm, M_REMIND, MF_BYCOMMAND | ((fRemind) ? MF_CHECKED : MF_UNCHECKED));
! 		  SetForegroundWindow(hDlg);
                    TrackPopupMenu (GetSubMenu (hmDummy, 0),
                                    TPM_RIGHTALIGN | TPM_RIGHTBUTTON,
                                    pt.x, pt.y, NULL, hDlg, NULL);
! 		  PostMessage(hDlg, WM_NULL, 0, 0);
                    DestroyMenu (hmDummy);
                    }
                 break;
Index: openafs/src/WINNT/client_creds/lang/en_US/afscreds.rc
diff -c openafs/src/WINNT/client_creds/lang/en_US/afscreds.rc:1.7.2.1 openafs/src/WINNT/client_creds/lang/en_US/afscreds.rc:1.7.2.2
*** openafs/src/WINNT/client_creds/lang/en_US/afscreds.rc:1.7.2.1	Sun Aug 14 07:27:43 2005
--- openafs/src/WINNT/client_creds/lang/en_US/afscreds.rc	Mon Oct  3 00:05:56 2005
***************
*** 105,113 ****
  FONT 9, "MS Shell Dlg"
  BEGIN
      LTEXT           "Cell:     ",IDC_STATIC,7,9,24,8
!     LTEXT           "(none)",IDC_CREDS_CELL,51,9,193,8
      LTEXT           "Tokens:",IDC_STATIC,7,26,27,8
!     LTEXT           "(none)",IDC_CREDS_INFO,51,26,193,8
      CONTROL         "&Show a warning before these tokens expire",
                      IDC_CREDS_REMIND,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,
                      51,43,193,10
--- 105,113 ----
  FONT 9, "MS Shell Dlg"
  BEGIN
      LTEXT           "Cell:     ",IDC_STATIC,7,9,24,8
!     LTEXT           "(none)",IDC_CREDS_CELL,51,9,282,8
      LTEXT           "Tokens:",IDC_STATIC,7,26,27,8
!     LTEXT           "(none)",IDC_CREDS_INFO,51,26,282,8
      CONTROL         "&Show a warning before these tokens expire",
                      IDC_CREDS_REMIND,"Button",BS_AUTOCHECKBOX | WS_TABSTOP,
                      51,43,193,10
Index: openafs/src/WINNT/client_exp/afs_shl_ext.cpp
diff -c openafs/src/WINNT/client_exp/afs_shl_ext.cpp:1.5 openafs/src/WINNT/client_exp/afs_shl_ext.cpp:1.5.2.1
*** openafs/src/WINNT/client_exp/afs_shl_ext.cpp:1.5	Sat Nov 22 23:53:14 2003
--- openafs/src/WINNT/client_exp/afs_shl_ext.cpp	Sun Oct  2 10:47:20 2005
***************
*** 84,92 ****
  {
  	AFX_MANAGE_STATE(AfxGetStaticModuleState());
  
  	if (!nCMRefCount && !nSERefCount && !nICRefCount && !nTPRefCount && !nXPRefCount)
  		return S_OK;
! 
  	return S_FALSE;
  }
  
--- 84,99 ----
  {
  	AFX_MANAGE_STATE(AfxGetStaticModuleState());
  
+ #ifdef COMMENT
+     // This test is correct and we really do want to allow the extension to be loaded and 
+     // unloaded as needed.   Unfortunately, the extension is being unloaded and never loaded
+     // again which is disconcerting for many folks.  For now we will prevent the unloading 
+     // until someone has time to figure out how to debug this.   
+     // Jeffrey Altman - 2 Oct 2005
+ 
  	if (!nCMRefCount && !nSERefCount && !nICRefCount && !nTPRefCount && !nXPRefCount)
  		return S_OK;
! #endif
  	return S_FALSE;
  }
  
Index: openafs/src/WINNT/client_exp/gui2fs.cpp
diff -c openafs/src/WINNT/client_exp/gui2fs.cpp:1.10.2.6 openafs/src/WINNT/client_exp/gui2fs.cpp:1.10.2.7
*** openafs/src/WINNT/client_exp/gui2fs.cpp:1.10.2.6	Wed Aug 31 20:08:43 2005
--- openafs/src/WINNT/client_exp/gui2fs.cpp	Sun Oct  2 05:08:18 2005
***************
*** 1546,1552 ****
      register LONG code = 0;
      struct ViceIoctl blob;
      char tbuffer[1024];
-     char lsbuffer[1024];
      register char *tp;
      char szCurItem[1024];
      BOOL error = FALSE;
--- 1546,1551 ----
***************
*** 1739,1768 ****
  
      blob.out_size = MAXSIZE;
      blob.out = space;
!     memset(space, 0, sizeof(LONG));	/* so we assure zero when nothing is copied back */
  
-     /* prepare flags for checkservers command */
-     if (nCellsToCheck == LOCAL_CELL)
-         temp = 2;	/* default to checking local cell only */
-     else if (nCellsToCheck == ALL_CELLS)
-         temp &= ~2;	/* turn off local cell check */
- 
-     if (bFast)
-         temp |= 1;	/* set fast flag */
-     
-     checkserv.magic = 0x12345678;	/* XXX */
-     checkserv.tflags = temp;
- 
-     /* now copy in optional cell name, if specified */
      if (nCellsToCheck == SPECIFIC_CELL) {
          GetCellName(PCCHAR(strCellName), &info);
          strcpy(checkserv.tbuffer,info.name);
          checkserv.tsize = strlen(info.name) + 1;
      } else {
          strcpy(checkserv.tbuffer, "\0");
          checkserv.tsize = 0;
      }
! 
      checkserv.tinterval = -1;	/* don't change current interval */
  
      code = pioctl(0, VIOCCKSERV, &blob, 1);
--- 1738,1761 ----
  
      blob.out_size = MAXSIZE;
      blob.out = space;
!     memset(space, 0, sizeof(afs_int32));	/* so we assure zero when nothing is copied back */
  
      if (nCellsToCheck == SPECIFIC_CELL) {
+ 	temp = 2;
          GetCellName(PCCHAR(strCellName), &info);
          strcpy(checkserv.tbuffer,info.name);
          checkserv.tsize = strlen(info.name) + 1;
      } else {
+ 	if (nCellsToCheck != ALL_CELLS)
+ 	    temp = 2;
          strcpy(checkserv.tbuffer, "\0");
          checkserv.tsize = 0;
      }
!     if (bFast)
!         temp |= 1;	/* set fast flag */
!     
!     checkserv.magic = 0x12345678;	/* XXX */
!     checkserv.tflags = temp;
      checkserv.tinterval = -1;	/* don't change current interval */
  
      code = pioctl(0, VIOCCKSERV, &blob, 1);
Index: openafs/src/WINNT/client_exp/server_status_dlg.cpp
diff -c openafs/src/WINNT/client_exp/server_status_dlg.cpp:1.2 openafs/src/WINNT/client_exp/server_status_dlg.cpp:1.2.20.1
*** openafs/src/WINNT/client_exp/server_status_dlg.cpp:1.2	Sat Nov  4 05:02:54 2000
--- openafs/src/WINNT/client_exp/server_status_dlg.cpp	Sun Oct  2 05:08:18 2005
***************
*** 34,40 ****
  
  	//{{AFX_DATA_INIT(CServerStatusDlg)
  	m_bFast = FALSE;
! 	m_nCell = -1;
  	//}}AFX_DATA_INIT
  }
  
--- 34,40 ----
  
  	//{{AFX_DATA_INIT(CServerStatusDlg)
  	m_bFast = FALSE;
! 	m_nCell = LOCAL_CELL;
  	//}}AFX_DATA_INIT
  }
  
***************
*** 76,82 ****
  	CDialog::OnInitDialog();
  
  	m_CellName.EnableWindow(FALSE);
! 	m_nCell = 0;
  
  	UpdateData(FALSE);
  
--- 76,82 ----
  	CDialog::OnInitDialog();
  
  	m_CellName.EnableWindow(FALSE);
! 	m_nCell = LOCAL_CELL;
  
  	UpdateData(FALSE);
  
***************
*** 93,111 ****
  
  void CServerStatusDlg::OnSpecifiedCell() 
  {
! 	m_CellName.EnableWindow(TRUE);	
! 
  	CheckEnableShowStatus();
  }
  
  void CServerStatusDlg::OnLocalCell() 
  {
  	m_CellName.EnableWindow(FALSE);
  	m_ShowStatus.EnableWindow(TRUE);
  }
  
  void CServerStatusDlg::OnAllCells() 
  {
  	m_CellName.EnableWindow(FALSE);
  	m_ShowStatus.EnableWindow(TRUE);
  }
--- 93,113 ----
  
  void CServerStatusDlg::OnSpecifiedCell() 
  {
!         m_nCell = SPECIFIC_CELL;
!         m_CellName.EnableWindow(TRUE);	
  	CheckEnableShowStatus();
  }
  
  void CServerStatusDlg::OnLocalCell() 
  {
+         m_nCell = LOCAL_CELL;
  	m_CellName.EnableWindow(FALSE);
  	m_ShowStatus.EnableWindow(TRUE);
  }
  
  void CServerStatusDlg::OnAllCells() 
  {
+         m_nCell = ALL_CELLS;
  	m_CellName.EnableWindow(FALSE);
  	m_ShowStatus.EnableWindow(TRUE);
  }
Index: openafs/src/WINNT/client_exp/lang/de_DE/afs_shl_ext.rc
diff -c openafs/src/WINNT/client_exp/lang/de_DE/afs_shl_ext.rc:1.4 openafs/src/WINNT/client_exp/lang/de_DE/afs_shl_ext.rc:1.4.2.2
*** openafs/src/WINNT/client_exp/lang/de_DE/afs_shl_ext.rc:1.4	Thu Apr  1 14:10:18 2004
--- openafs/src/WINNT/client_exp/lang/de_DE/afs_shl_ext.rc	Sun Oct  2 10:49:39 2005
***************
*** 230,236 ****
                      BS_AUTORADIOBUTTON | WS_GROUP,161,16,79,10
      CONTROL         "Eingabe negativer Zahlen",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,161,26,96,10
!     PUSHBUTTON      "OK",IDOK,101,90,50,14
      PUSHBUTTON      "Abbrechen",IDCANCEL,155,90,50,14
      PUSHBUTTON      "Hilfe",9,209,90,50,14
      LTEXT           "Name:",IDC_STATIC,10,72,20,8
--- 230,236 ----
                      BS_AUTORADIOBUTTON | WS_GROUP,161,16,79,10
      CONTROL         "Eingabe negativer Zahlen",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,161,26,96,10
!     DEFPUSHBUTTON   "OK",IDOK,101,90,50,14
      PUSHBUTTON      "Abbrechen",IDCANCEL,155,90,50,14
      PUSHBUTTON      "Hilfe",9,209,90,50,14
      LTEXT           "Name:",IDC_STATIC,10,72,20,8
***************
*** 324,330 ****
  CAPTION "Inaktive Server"
  FONT 8, "MS Sans Serif"
  BEGIN
!     LISTBOX         1029,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "Diese Servers sind noch inaktiv:",IDC_STATIC,10,10,114,
                      8
--- 324,330 ----
  CAPTION "Inaktive Server"
  FONT 8, "MS Sans Serif"
  BEGIN
!     LISTBOX         IDC_LIST,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "Diese Servers sind noch inaktiv:",IDC_STATIC,10,10,114,
                      8
***************
*** 345,351 ****
                      WS_TABSTOP,20,65,45,10
      CONTROL         "Server nicht testen",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,89,10
!     PUSHBUTTON      "Status anzeigen",IDC_SHOWSTATUS,5,120,58,14
      GROUPBOX        "Zelle",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,88,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,47,130,12,ES_AUTOHSCROLL
--- 345,351 ----
                      WS_TABSTOP,20,65,45,10
      CONTROL         "Server nicht testen",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,89,10
!     DEFPUSHBUTTON   "Status anzeigen",IDC_SHOWSTATUS,5,120,58,14
      GROUPBOX        "Zelle",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,88,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,47,130,12,ES_AUTOHSCROLL
***************
*** 361,367 ****
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     PUSHBUTTON      "Token erhalten",ID_GET_TOKENS,15,137,55,14
      PUSHBUTTON      "Token lschen",ID_DISCARD_TOKENS,80,137,55,14
      PUSHBUTTON      "Schlieen",IDCANCEL,145,137,55,14
      PUSHBUTTON      "Hilfe",9,215,137,55,14
--- 361,367 ----
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     DEFPUSHBUTTON   "Token erhalten",ID_GET_TOKENS,15,137,55,14
      PUSHBUTTON      "Token lschen",ID_DISCARD_TOKENS,80,137,55,14
      PUSHBUTTON      "Schlieen",IDCANCEL,145,137,55,14
      PUSHBUTTON      "Hilfe",9,215,137,55,14
***************
*** 411,417 ****
      PUSHBUTTON      "Lschen",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "ndern",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "Submounts:",IDC_STATIC,10,10,50,8
!     PUSHBUTTON      "OK",IDOK,202,145,45,14
      PUSHBUTTON      "Abbrechen",IDCANCEL,202,163,45,14
  END
  
--- 411,417 ----
      PUSHBUTTON      "Lschen",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "ndern",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "Submounts:",IDC_STATIC,10,10,50,8
!     DEFPUSHBUTTON   "OK",IDOK,202,145,45,14
      PUSHBUTTON      "Abbrechen",IDCANCEL,202,163,45,14
  END
  
***************
*** 422,428 ****
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,77,8,141,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,77,23,141,12,ES_AUTOHSCROLL
!     PUSHBUTTON      "OK",IDOK,22,53,45,14
      PUSHBUTTON      "Abbrechen",IDCANCEL,92,53,45,14
      PUSHBUTTON      "Hilfe",9,167,53,45,14
      LTEXT           "Gemeinsam benutzter Name:",IDC_STATIC,18,7,60,15
--- 422,428 ----
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,77,8,141,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,77,23,141,12,ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "OK",IDOK,22,53,45,14
      PUSHBUTTON      "Abbrechen",IDCANCEL,92,53,45,14
      PUSHBUTTON      "Hilfe",9,167,53,45,14
      LTEXT           "Gemeinsam benutzter Name:",IDC_STATIC,18,7,60,15
Index: openafs/src/WINNT/client_exp/lang/en_US/afs_shl_ext.rc
diff -c openafs/src/WINNT/client_exp/lang/en_US/afs_shl_ext.rc:1.6.2.2 openafs/src/WINNT/client_exp/lang/en_US/afs_shl_ext.rc:1.6.2.4
*** openafs/src/WINNT/client_exp/lang/en_US/afs_shl_ext.rc:1.6.2.2	Wed Aug 31 20:08:43 2005
--- openafs/src/WINNT/client_exp/lang/en_US/afs_shl_ext.rc	Sun Oct  2 10:49:39 2005
***************
*** 235,241 ****
                      BS_AUTORADIOBUTTON | WS_GROUP,161,16,54,10
      CONTROL         "Negative Entry",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,161,26,59,10
!     PUSHBUTTON      "OK",IDOK,22,90,50,14
      PUSHBUTTON      "Cancel",IDCANCEL,92,90,50,14
      PUSHBUTTON      "Help",9,162,90,50,14
      LTEXT           "Name:",IDC_STATIC,10,72,20,8
--- 235,241 ----
                      BS_AUTORADIOBUTTON | WS_GROUP,161,16,54,10
      CONTROL         "Negative Entry",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,161,26,59,10
!     DEFPUSHBUTTON   "OK",IDOK,22,90,50,14
      PUSHBUTTON      "Cancel",IDCANCEL,92,90,50,14
      PUSHBUTTON      "Help",9,162,90,50,14
      LTEXT           "Name:",IDC_STATIC,10,72,20,8
***************
*** 329,335 ****
  CAPTION "Down Servers"
  FONT 8, "MS Sans Serif"
  BEGIN
!     LISTBOX         1029,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "These servers are still down:",IDC_STATIC,10,10,95,8
      DEFPUSHBUTTON   "OK",IDOK,82,140,45,15
--- 329,335 ----
  CAPTION "Down Servers"
  FONT 8, "MS Sans Serif"
  BEGIN
!     LISTBOX         IDC_LIST,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "These servers are still down:",IDC_STATIC,10,10,95,8
      DEFPUSHBUTTON   "OK",IDOK,82,140,45,15
***************
*** 349,355 ****
                      WS_TABSTOP,20,65,45,10
      CONTROL         "Do not probe servers",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,80,10
!     PUSHBUTTON      "Show Status",IDC_SHOWSTATUS,10,120,50,14
      GROUPBOX        "Cell",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,90,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,47,130,12,ES_AUTOHSCROLL
--- 349,355 ----
                      WS_TABSTOP,20,65,45,10
      CONTROL         "Do not probe servers",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,80,10
!     DEFPUSHBUTTON      "Show Status",IDC_SHOWSTATUS,10,120,50,14
      GROUPBOX        "Cell",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,90,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,47,130,12,ES_AUTOHSCROLL
***************
*** 365,371 ****
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     PUSHBUTTON      "Get Tokens",ID_GET_TOKENS,15,137,55,14
      PUSHBUTTON      "Discard Tokens",ID_DISCARD_TOKENS,80,137,55,14
      PUSHBUTTON      "Close",IDCANCEL,145,137,55,14
      PUSHBUTTON      "Help",9,215,137,55,14
--- 365,371 ----
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     DEFPUSHBUTTON   "Get Tokens",ID_GET_TOKENS,15,137,55,14
      PUSHBUTTON      "Discard Tokens",ID_DISCARD_TOKENS,80,137,55,14
      PUSHBUTTON      "Close",IDCANCEL,145,137,55,14
      PUSHBUTTON      "Help",9,215,137,55,14
***************
*** 415,421 ****
      PUSHBUTTON      "Delete",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "Change",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "Submounts:",IDC_STATIC,10,10,50,8
!     PUSHBUTTON      "OK",IDOK,202,145,45,14
      PUSHBUTTON      "Cancel",IDCANCEL,202,163,45,14
  END
  
--- 415,421 ----
      PUSHBUTTON      "Delete",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "Change",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "Submounts:",IDC_STATIC,10,10,50,8
!     DEFPUSHBUTTON   "OK",IDOK,202,145,45,14
      PUSHBUTTON      "Cancel",IDCANCEL,202,163,45,14
  END
  
***************
*** 426,432 ****
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,62,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,62,23,163,12,ES_AUTOHSCROLL
!     PUSHBUTTON      "OK",IDOK,22,53,45,14
      PUSHBUTTON      "Cancel",IDCANCEL,92,53,45,14
      PUSHBUTTON      "Help",9,167,53,45,14
      LTEXT           "Submount Name:",IDC_STATIC,18,10,29,8
--- 426,432 ----
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,62,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,62,23,163,12,ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "OK",IDOK,22,53,45,14
      PUSHBUTTON      "Cancel",IDCANCEL,92,53,45,14
      PUSHBUTTON      "Help",9,167,53,45,14
      LTEXT           "Submount Name:",IDC_STATIC,18,10,29,8
***************
*** 440,446 ****
  BEGIN
      EDITTEXT        IDC_NAME,62,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_DIR,62,23,163,12,ES_AUTOHSCROLL
!     PUSHBUTTON      "OK",IDOK,22,53,45,14
      PUSHBUTTON      "Cancel",IDCANCEL,92,53,45,14
      PUSHBUTTON      "Help",9,167,53,45,14
      LTEXT           "Link Name:",IDC_STATIC,18,10,29,8
--- 440,446 ----
  BEGIN
      EDITTEXT        IDC_NAME,62,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_DIR,62,23,163,12,ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "OK",IDOK,22,53,45,14
      PUSHBUTTON      "Cancel",IDCANCEL,92,53,45,14
      PUSHBUTTON      "Help",9,167,53,45,14
      LTEXT           "Link Name:",IDC_STATIC,18,10,29,8
Index: openafs/src/WINNT/client_exp/lang/es_ES/afs_shl_ext.rc
diff -c openafs/src/WINNT/client_exp/lang/es_ES/afs_shl_ext.rc:1.5 openafs/src/WINNT/client_exp/lang/es_ES/afs_shl_ext.rc:1.5.2.2
*** openafs/src/WINNT/client_exp/lang/es_ES/afs_shl_ext.rc:1.5	Thu Apr  1 14:10:21 2004
--- openafs/src/WINNT/client_exp/lang/es_ES/afs_shl_ext.rc	Sun Oct  2 10:49:40 2005
***************
*** 232,238 ****
                      BS_AUTORADIOBUTTON | WS_GROUP,161,16,69,10
      CONTROL         "Entrada negativa",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,161,26,72,10
!     PUSHBUTTON      "Aceptar",IDOK,22,90,50,14
      PUSHBUTTON      "Cancelar",IDCANCEL,92,90,50,14
      PUSHBUTTON      "Ayuda",9,162,90,50,14
      LTEXT           "Nombre:",IDC_STATIC,10,72,32,8
--- 232,238 ----
                      BS_AUTORADIOBUTTON | WS_GROUP,161,16,69,10
      CONTROL         "Entrada negativa",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,161,26,72,10
!     DEFPUSHBUTTON   "Aceptar",IDOK,22,90,50,14
      PUSHBUTTON      "Cancelar",IDCANCEL,92,90,50,14
      PUSHBUTTON      "Ayuda",9,162,90,50,14
      LTEXT           "Nombre:",IDC_STATIC,10,72,32,8
***************
*** 326,332 ****
  CAPTION "Servidores no activos"
  FONT 8, "MS Sans Serif"
  BEGIN
!     LISTBOX         1029,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "Estos servidores siguen sin estar activos:",IDC_STATIC,
                      10,10,182,8
--- 326,332 ----
  CAPTION "Servidores no activos"
  FONT 8, "MS Sans Serif"
  BEGIN
!     LISTBOX         IDC_LIST,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "Estos servidores siguen sin estar activos:",IDC_STATIC,
                      10,10,182,8
***************
*** 347,353 ****
                      BS_AUTORADIOBUTTON | WS_TABSTOP,20,65,135,10
      CONTROL         "No investigar servidores",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,93,10
!     PUSHBUTTON      "Mostrar estado",IDC_SHOWSTATUS,10,120,54,14
      GROUPBOX        "Clula",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,100,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,47,130,12,ES_AUTOHSCROLL
--- 347,353 ----
                      BS_AUTORADIOBUTTON | WS_TABSTOP,20,65,135,10
      CONTROL         "No investigar servidores",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,93,10
!     DEFPUSHBUTTON   "Mostrar estado",IDC_SHOWSTATUS,10,120,54,14
      GROUPBOX        "Clula",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,100,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,47,130,12,ES_AUTOHSCROLL
***************
*** 363,369 ****
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     PUSHBUTTON      "Obtener seales",ID_GET_TOKENS,12,137,57,14
      PUSHBUTTON      "Descartar seales",ID_DISCARD_TOKENS,79,137,62,14
      PUSHBUTTON      "Cerrar",IDCANCEL,151,137,55,14
      PUSHBUTTON      "Ayuda",9,217,137,55,14
--- 363,369 ----
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     DEFPUSHBUTTON   "Obtener seales",ID_GET_TOKENS,12,137,57,14
      PUSHBUTTON      "Descartar seales",ID_DISCARD_TOKENS,79,137,62,14
      PUSHBUTTON      "Cerrar",IDCANCEL,151,137,55,14
      PUSHBUTTON      "Ayuda",9,217,137,55,14
***************
*** 413,419 ****
      PUSHBUTTON      "Suprimir",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "Cambiar",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "Submontajes:",IDC_STATIC,10,10,50,8
!     PUSHBUTTON      "Aceptar",IDOK,202,145,45,14
      PUSHBUTTON      "Cancelar",IDCANCEL,202,163,45,14
  END
  
--- 413,419 ----
      PUSHBUTTON      "Suprimir",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "Cambiar",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "Submontajes:",IDC_STATIC,10,10,50,8
!     DEFPUSHBUTTON   "Aceptar",IDOK,202,145,45,14
      PUSHBUTTON      "Cancelar",IDCANCEL,202,163,45,14
  END
  
***************
*** 424,430 ****
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,107,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,107,23,163,12,ES_AUTOHSCROLL
!     PUSHBUTTON      "Aceptar",IDOK,22,53,45,14
      PUSHBUTTON      "Cancelar",IDCANCEL,92,53,45,14
      PUSHBUTTON      "Ayuda",9,167,53,45,14
      LTEXT           "Nombre de comparticin:",IDC_STATIC,18,10,87,8
--- 424,430 ----
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,107,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,107,23,163,12,ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "Aceptar",IDOK,22,53,45,14
      PUSHBUTTON      "Cancelar",IDCANCEL,92,53,45,14
      PUSHBUTTON      "Ayuda",9,167,53,45,14
      LTEXT           "Nombre de comparticin:",IDC_STATIC,18,10,87,8
Index: openafs/src/WINNT/client_exp/lang/ja_JP/afs_shl_ext.rc
diff -c openafs/src/WINNT/client_exp/lang/ja_JP/afs_shl_ext.rc:1.5 openafs/src/WINNT/client_exp/lang/ja_JP/afs_shl_ext.rc:1.5.2.2
*** openafs/src/WINNT/client_exp/lang/ja_JP/afs_shl_ext.rc:1.5	Thu Apr  1 14:10:23 2004
--- openafs/src/WINNT/client_exp/lang/ja_JP/afs_shl_ext.rc	Sun Oct  2 10:49:41 2005
***************
*** 232,238 ****
                      BS_AUTORADIOBUTTON | WS_GROUP,191,16,43,10
      CONTROL         "֎~",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,191,26,43,10
!     PUSHBUTTON      "",IDOK,22,90,50,14
      PUSHBUTTON      "",IDCANCEL,92,90,50,14
      PUSHBUTTON      "wv",9,162,90,50,14
      LTEXT           "O:",IDC_STATIC,10,72,18,8
--- 232,238 ----
                      BS_AUTORADIOBUTTON | WS_GROUP,191,16,43,10
      CONTROL         "֎~",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,191,26,43,10
!     DEFPUSHBUTTON   "",IDOK,22,90,50,14
      PUSHBUTTON      "",IDCANCEL,92,90,50,14
      PUSHBUTTON      "wv",9,162,90,50,14
      LTEXT           "O:",IDC_STATIC,10,72,18,8
***************
*** 326,332 ****
  CAPTION "T[o[_E"
  FONT 9, "lr oSVbN"
  BEGIN
!     LISTBOX         1029,10,22,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "ȉ̃T[o[͂܂_EĂ܂:",IDC_STATIC,10,10,
                      146,8
--- 326,332 ----
  CAPTION "T[o[_E"
  FONT 9, "lr oSVbN"
  BEGIN
!     LISTBOX         IDC_LIST,10,22,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "ȉ̃T[o[͂܂_EĂ܂:",IDC_STATIC,10,10,
                      146,8
***************
*** 347,353 ****
                      WS_TABSTOP,20,65,59,10
      CONTROL         "T[o[v[uȂ",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,107,10
!     PUSHBUTTON      "󋵂̕\",IDC_SHOWSTATUS,10,120,50,14
      GROUPBOX        "Z",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,120,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,48,130,12,ES_AUTOHSCROLL
--- 347,353 ----
                      WS_TABSTOP,20,65,59,10
      CONTROL         "T[o[v[uȂ",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,107,10
!     DEFPUSHBUTTON   "󋵂̕\",IDC_SHOWSTATUS,10,120,50,14
      GROUPBOX        "Z",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,120,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,48,130,12,ES_AUTOHSCROLL
***************
*** 363,369 ****
      LISTBOX         IDC_TOKEN_LIST,10,19,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     PUSHBUTTON      "g[N̎擾",ID_GET_TOKENS,15,137,62,14
      PUSHBUTTON      "g[N̔j",ID_DISCARD_TOKENS,80,137,62,14
      PUSHBUTTON      "N[Y",IDCANCEL,145,137,55,14
      PUSHBUTTON      "wv",9,215,137,55,14
--- 363,369 ----
      LISTBOX         IDC_TOKEN_LIST,10,19,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     DEFPUSHBUTTON   "g[N̎擾",ID_GET_TOKENS,15,137,62,14
      PUSHBUTTON      "g[N̔j",ID_DISCARD_TOKENS,80,137,62,14
      PUSHBUTTON      "N[Y",IDCANCEL,145,137,55,14
      PUSHBUTTON      "wv",9,215,137,55,14
***************
*** 413,419 ****
      PUSHBUTTON      "폜",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "ύX",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "Tu}Eg:",IDC_STATIC,10,10,50,8
!     PUSHBUTTON      "",IDOK,202,145,45,14
      PUSHBUTTON      "",IDCANCEL,202,163,45,14
  END
  
--- 413,419 ----
      PUSHBUTTON      "폜",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "ύX",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "Tu}Eg:",IDC_STATIC,10,10,50,8
!     DEfPUSHBUTTON   "",IDOK,202,145,45,14
      PUSHBUTTON      "",IDCANCEL,202,163,45,14
  END
  
***************
*** 424,430 ****
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,62,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,62,23,163,12,ES_AUTOHSCROLL
!     PUSHBUTTON      "",IDOK,22,53,45,14
      PUSHBUTTON      "",IDCANCEL,92,53,45,14
      PUSHBUTTON      "wv",9,167,53,45,14
      LTEXT           "p:",IDC_STATIC,19,10,29,8
--- 424,430 ----
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,62,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,62,23,163,12,ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "",IDOK,22,53,45,14
      PUSHBUTTON      "",IDCANCEL,92,53,45,14
      PUSHBUTTON      "wv",9,167,53,45,14
      LTEXT           "p:",IDC_STATIC,19,10,29,8
Index: openafs/src/WINNT/client_exp/lang/ko_KR/afs_shl_ext.rc
diff -c openafs/src/WINNT/client_exp/lang/ko_KR/afs_shl_ext.rc:1.5 openafs/src/WINNT/client_exp/lang/ko_KR/afs_shl_ext.rc:1.5.2.2
*** openafs/src/WINNT/client_exp/lang/ko_KR/afs_shl_ext.rc:1.5	Thu Apr  1 14:10:25 2004
--- openafs/src/WINNT/client_exp/lang/ko_KR/afs_shl_ext.rc	Sun Oct  2 10:49:42 2005
***************
*** 231,237 ****
                      BS_AUTORADIOBUTTON | WS_GROUP,161,16,54,10
      CONTROL         " ׸",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,161,26,59,10
!     PUSHBUTTON      "Ȯ",IDOK,22,90,50,14
      PUSHBUTTON      "",IDCANCEL,92,90,50,14
      PUSHBUTTON      "",9,162,90,50,14
      LTEXT           "̸:",IDC_STATIC,10,72,20,8
--- 231,237 ----
                      BS_AUTORADIOBUTTON | WS_GROUP,161,16,54,10
      CONTROL         " ׸",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,161,26,59,10
!     DEFPUSHBUTTON   "Ȯ",IDOK,22,90,50,14
      PUSHBUTTON      "",IDCANCEL,92,90,50,14
      PUSHBUTTON      "",9,162,90,50,14
      LTEXT           "̸:",IDC_STATIC,10,72,20,8
***************
*** 325,331 ****
  CAPTION " ߴ"
  FONT 9, ""
  BEGIN
!     LISTBOX         1029,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "   ۵  Դϴ",IDC_STATIC,10,
                      10,186,8
--- 325,331 ----
  CAPTION " ߴ"
  FONT 9, ""
  BEGIN
!     LISTBOX         IDC_LIST,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "   ۵  Դϴ",IDC_STATIC,10,
                      10,186,8
***************
*** 346,352 ****
                      WS_TABSTOP,21,69,45,10
      CONTROL         " ¸  ",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,112,10
!     PUSHBUTTON      " ǥ",IDC_SHOWSTATUS,10,120,50,14
      GROUPBOX        "",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,137,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,31,51,130,12,ES_AUTOHSCROLL
--- 346,352 ----
                      WS_TABSTOP,21,69,45,10
      CONTROL         " ¸  ",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,112,10
!     DEFPUSHBUTTON   " ǥ",IDC_SHOWSTATUS,10,120,50,14
      GROUPBOX        "",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,137,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,31,51,130,12,ES_AUTOHSCROLL
***************
*** 362,368 ****
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     PUSHBUTTON      "ū Ȯ",ID_GET_TOKENS,15,137,55,14
      PUSHBUTTON      "ū ",ID_DISCARD_TOKENS,80,137,55,14
      PUSHBUTTON      "ݱ",IDCANCEL,145,137,55,14
      PUSHBUTTON      "",9,215,137,55,14
--- 362,368 ----
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     DEFPUSHBUTTON   "ū Ȯ",ID_GET_TOKENS,15,137,55,14
      PUSHBUTTON      "ū ",ID_DISCARD_TOKENS,80,137,55,14
      PUSHBUTTON      "ݱ",IDCANCEL,145,137,55,14
      PUSHBUTTON      "",9,215,137,55,14
***************
*** 412,418 ****
      PUSHBUTTON      "",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "긶Ʈ:",IDC_STATIC,10,10,50,8
!     PUSHBUTTON      "Ȯ",IDOK,202,145,45,14
      PUSHBUTTON      "",IDCANCEL,202,163,45,14
  END
  
--- 412,418 ----
      PUSHBUTTON      "",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "긶Ʈ:",IDC_STATIC,10,10,50,8
!     DEFPUSHBUTTON   "Ȯ",IDOK,202,145,45,14
      PUSHBUTTON      "",IDCANCEL,202,163,45,14
  END
  
***************
*** 423,429 ****
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,62,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,62,23,163,12,ES_AUTOHSCROLL
!     PUSHBUTTON      "Ȯ",IDOK,22,53,45,14
      PUSHBUTTON      "",IDCANCEL,92,53,45,14
      PUSHBUTTON      "",9,167,53,45,14
      LTEXT           " ̸:",IDC_STATIC,18,10,37,8
--- 423,429 ----
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,62,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,62,23,163,12,ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "Ȯ",IDOK,22,53,45,14
      PUSHBUTTON      "",IDCANCEL,92,53,45,14
      PUSHBUTTON      "",9,167,53,45,14
      LTEXT           " ̸:",IDC_STATIC,18,10,37,8
Index: openafs/src/WINNT/client_exp/lang/pt_BR/afs_shl_ext.rc
diff -c openafs/src/WINNT/client_exp/lang/pt_BR/afs_shl_ext.rc:1.5 openafs/src/WINNT/client_exp/lang/pt_BR/afs_shl_ext.rc:1.5.2.2
*** openafs/src/WINNT/client_exp/lang/pt_BR/afs_shl_ext.rc:1.5	Thu Apr  1 14:10:27 2004
--- openafs/src/WINNT/client_exp/lang/pt_BR/afs_shl_ext.rc	Sun Oct  2 10:49:43 2005
***************
*** 231,237 ****
                      BS_AUTORADIOBUTTON | WS_GROUP,155,14,64,10
      CONTROL         "Entrada negativa",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,155,24,69,10
!     PUSHBUTTON      "OK",IDOK,22,90,50,14
      PUSHBUTTON      "Cancelar",IDCANCEL,92,90,50,14
      PUSHBUTTON      "Ajuda",9,162,90,50,14
      LTEXT           "Nome:",IDC_STATIC,10,72,20,8
--- 231,237 ----
                      BS_AUTORADIOBUTTON | WS_GROUP,155,14,64,10
      CONTROL         "Entrada negativa",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,155,24,69,10
!     DEFPUSHBUTTON   "OK",IDOK,22,90,50,14
      PUSHBUTTON      "Cancelar",IDCANCEL,92,90,50,14
      PUSHBUTTON      "Ajuda",9,162,90,50,14
      LTEXT           "Nome:",IDC_STATIC,10,72,20,8
***************
*** 325,331 ****
  CAPTION "Servidores Inoperantes"
  FONT 8, "MS Sans Serif"
  BEGIN
!     LISTBOX         1029,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "Estes servidores ainda esto inoperantes:",IDC_STATIC,
                      10,10,136,8
--- 325,331 ----
  CAPTION "Servidores Inoperantes"
  FONT 8, "MS Sans Serif"
  BEGIN
!     LISTBOX         IDC_LIST,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "Estes servidores ainda esto inoperantes:",IDC_STATIC,
                      10,10,136,8
***************
*** 346,352 ****
                      BS_AUTORADIOBUTTON | WS_TABSTOP,20,65,71,10
      CONTROL         "No sondar servidores",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,86,10
!     PUSHBUTTON      "Mostrar Status",IDC_SHOWSTATUS,10,120,50,14
      GROUPBOX        "Clula",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,95,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,47,130,12,ES_AUTOHSCROLL
--- 346,352 ----
                      BS_AUTORADIOBUTTON | WS_TABSTOP,20,65,71,10
      CONTROL         "No sondar servidores",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,86,10
!     DEFPUSHBUTTON   "Mostrar Status",IDC_SHOWSTATUS,10,120,50,14
      GROUPBOX        "Clula",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,95,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,47,130,12,ES_AUTOHSCROLL
***************
*** 362,368 ****
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     PUSHBUTTON      "Obter Tokens",ID_GET_TOKENS,15,137,55,14
      PUSHBUTTON      "Descartar Tokens",ID_DISCARD_TOKENS,79,137,62,14
      PUSHBUTTON      "Fechar",IDCANCEL,150,137,55,14
      PUSHBUTTON      "Ajuda",9,214,137,55,14
--- 362,368 ----
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     DEFPUSHBUTTON   "Obter Tokens",ID_GET_TOKENS,15,137,55,14
      PUSHBUTTON      "Descartar Tokens",ID_DISCARD_TOKENS,79,137,62,14
      PUSHBUTTON      "Fechar",IDCANCEL,150,137,55,14
      PUSHBUTTON      "Ajuda",9,214,137,55,14
***************
*** 412,418 ****
      PUSHBUTTON      "Excluir",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "Alterar",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "Submontagens:",IDC_STATIC,10,10,50,8
!     PUSHBUTTON      "OK",IDOK,202,145,45,14
      PUSHBUTTON      "Cancelar",IDCANCEL,202,163,45,14
  END
  
--- 412,418 ----
      PUSHBUTTON      "Excluir",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "Alterar",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "Submontagens:",IDC_STATIC,10,10,50,8
!     DEFPUSHBUTTON   "OK",IDOK,202,145,45,14
      PUSHBUTTON      "Cancelar",IDCANCEL,202,163,45,14
  END
  
***************
*** 423,429 ****
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,97,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,97,23,163,12,ES_AUTOHSCROLL
!     PUSHBUTTON      "OK",IDOK,24,53,45,14
      PUSHBUTTON      "Cancelar",IDCANCEL,111,53,45,14
      PUSHBUTTON      "Ajuda",9,198,53,45,14
      LTEXT           "Nome do Compartilhamento:",IDC_STATIC,4,10,90,8
--- 423,429 ----
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,97,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,97,23,163,12,ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "OK",IDOK,24,53,45,14
      PUSHBUTTON      "Cancelar",IDCANCEL,111,53,45,14
      PUSHBUTTON      "Ajuda",9,198,53,45,14
      LTEXT           "Nome do Compartilhamento:",IDC_STATIC,4,10,90,8
Index: openafs/src/WINNT/client_exp/lang/zh_CN/afs_shl_ext.rc
diff -c openafs/src/WINNT/client_exp/lang/zh_CN/afs_shl_ext.rc:1.5 openafs/src/WINNT/client_exp/lang/zh_CN/afs_shl_ext.rc:1.5.2.2
*** openafs/src/WINNT/client_exp/lang/zh_CN/afs_shl_ext.rc:1.5	Thu Apr  1 14:10:28 2004
--- openafs/src/WINNT/client_exp/lang/zh_CN/afs_shl_ext.rc	Sun Oct  2 10:49:44 2005
***************
*** 231,237 ****
                      BS_AUTORADIOBUTTON | WS_GROUP,161,16,54,10
      CONTROL         "Ŀ",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,161,26,59,10
!     PUSHBUTTON      "ȷ",IDOK,22,90,50,14
      PUSHBUTTON      "ȡ",IDCANCEL,92,90,50,14
      PUSHBUTTON      "",9,162,90,50,14
      LTEXT           "ƣ",IDC_STATIC,10,72,26,8
--- 231,237 ----
                      BS_AUTORADIOBUTTON | WS_GROUP,161,16,54,10
      CONTROL         "Ŀ",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,161,26,59,10
!     DEFPUSHBUTTON   "ȷ",IDOK,22,90,50,14
      PUSHBUTTON      "ȡ",IDCANCEL,92,90,50,14
      PUSHBUTTON      "",9,162,90,50,14
      LTEXT           "ƣ",IDC_STATIC,10,72,26,8
***************
*** 325,331 ****
  CAPTION "رյķ"
  FONT 8, "System"
  BEGIN
!     LISTBOX         1029,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "ЩȻرţ",IDC_STATIC,10,10,95,8
      DEFPUSHBUTTON   "ȷ",IDOK,82,140,45,15
--- 325,331 ----
  CAPTION "رյķ"
  FONT 8, "System"
  BEGIN
!     LISTBOX         IDC_LIST,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "ЩȻرţ",IDC_STATIC,10,10,95,8
      DEFPUSHBUTTON   "ȷ",IDOK,82,140,45,15
***************
*** 345,351 ****
                      WS_TABSTOP,20,65,45,10
      CONTROL         "",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,80,10
!     PUSHBUTTON      "ʾ״̬",IDC_SHOWSTATUS,10,120,50,14
      GROUPBOX        "Ԫ",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,90,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,47,130,12,ES_AUTOHSCROLL
--- 345,351 ----
                      WS_TABSTOP,20,65,45,10
      CONTROL         "",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,80,10
!     DEFPUSHBUTTON   "ʾ״̬",IDC_SHOWSTATUS,10,120,50,14
      GROUPBOX        "Ԫ",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,90,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,47,130,12,ES_AUTOHSCROLL
***************
*** 361,367 ****
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     PUSHBUTTON      "",ID_GET_TOKENS,15,137,55,14
      PUSHBUTTON      "",ID_DISCARD_TOKENS,80,137,55,14
      PUSHBUTTON      "ر",IDCANCEL,145,137,55,14
      PUSHBUTTON      "",9,215,137,55,14
--- 361,367 ----
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS | 
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL | 
                      WS_TABSTOP
!     DEFPUSHBUTTON   "",ID_GET_TOKENS,15,137,55,14
      PUSHBUTTON      "",ID_DISCARD_TOKENS,80,137,55,14
      PUSHBUTTON      "ر",IDCANCEL,145,137,55,14
      PUSHBUTTON      "",9,215,137,55,14
***************
*** 407,413 ****
  BEGIN
      LISTBOX         IDC_LIST,10,20,183,157,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL | WS_TABSTOP
!     PUSHBUTTON      " ",IDC_ADD,202,20,45,14
      PUSHBUTTON      "ɾ",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "Ӱװ",IDC_STATIC,10,10,50,8
--- 407,413 ----
  BEGIN
      LISTBOX         IDC_LIST,10,20,183,157,LBS_SORT | LBS_NOINTEGRALHEIGHT | 
                      WS_VSCROLL | WS_HSCROLL | WS_TABSTOP
!     DEFPUSHBUTTON   " ",IDC_ADD,202,20,45,14
      PUSHBUTTON      "ɾ",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "Ӱװ",IDC_STATIC,10,10,50,8
***************
*** 422,428 ****
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,62,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,62,23,163,12,ES_AUTOHSCROLL
!     PUSHBUTTON      "ȷ",IDOK,22,53,45,14
      PUSHBUTTON      "ȡ",IDCANCEL,92,53,45,14
      PUSHBUTTON      "",9,167,53,45,14
      LTEXT           "",IDC_STATIC,18,10,41,8
--- 422,428 ----
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,62,8,163,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,62,23,163,12,ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "ȷ",IDOK,22,53,45,14
      PUSHBUTTON      "ȡ",IDCANCEL,92,53,45,14
      PUSHBUTTON      "",9,167,53,45,14
      LTEXT           "",IDC_STATIC,18,10,41,8
Index: openafs/src/WINNT/client_exp/lang/zh_TW/afs_shl_ext.rc
diff -c openafs/src/WINNT/client_exp/lang/zh_TW/afs_shl_ext.rc:1.5 openafs/src/WINNT/client_exp/lang/zh_TW/afs_shl_ext.rc:1.5.2.2
*** openafs/src/WINNT/client_exp/lang/zh_TW/afs_shl_ext.rc:1.5	Thu Apr  1 14:10:30 2004
--- openafs/src/WINNT/client_exp/lang/zh_TW/afs_shl_ext.rc	Sun Oct  2 10:49:44 2005
***************
*** 230,236 ****
                      BS_AUTORADIOBUTTON | WS_GROUP,161,16,54,10
      CONTROL         "t",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,161,26,59,10
!     PUSHBUTTON      "Tw",IDOK,36,90,50,14
      PUSHBUTTON      "",IDCANCEL,106,90,50,14
      PUSHBUTTON      "",9,173,90,50,14
      LTEXT           "W١G",IDC_STATIC,10,72,27,8
--- 230,236 ----
                      BS_AUTORADIOBUTTON | WS_GROUP,161,16,54,10
      CONTROL         "t",IDC_ADD_NEGATIVE_ENTRY,"Button",
                      BS_AUTORADIOBUTTON,161,26,59,10
!     DEFPUSHBUTTON   "Tw",IDOK,36,90,50,14
      PUSHBUTTON      "",IDCANCEL,106,90,50,14
      PUSHBUTTON      "",9,173,90,50,14
      LTEXT           "W١G",IDC_STATIC,10,72,27,8
***************
*** 324,330 ****
  CAPTION "AB@"
  FONT 9, "sө"
  BEGIN
!     LISTBOX         1029,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT |
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "oǦA̵MB@G",IDC_STATIC,10,7,147,8
      DEFPUSHBUTTON   "Tw",IDOK,82,140,45,15
--- 324,330 ----
  CAPTION "AB@"
  FONT 9, "sө"
  BEGIN
!     LISTBOX         IDC_LIST,10,20,190,110,LBS_SORT | LBS_NOINTEGRALHEIGHT |
                      WS_VSCROLL | WS_HSCROLL
      LTEXT           "oǦA̵MB@G",IDC_STATIC,10,7,147,8
      DEFPUSHBUTTON   "Tw",IDOK,82,140,45,15
***************
*** 344,350 ****
                      WS_TABSTOP,20,65,74,10
      CONTROL         "ndA",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,80,10
!     PUSHBUTTON      "ܪA",IDC_SHOWSTATUS,10,120,50,14
      GROUPBOX        "Cell",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,90,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,47,130,12,ES_AUTOHSCROLL
--- 344,350 ----
                      WS_TABSTOP,20,65,74,10
      CONTROL         "ndA",IDC_DONTPROBESERVERS,"Button",
                      BS_AUTOCHECKBOX | WS_TABSTOP,24,87,80,10
!     DEFPUSHBUTTON   "ܪA",IDC_SHOWSTATUS,10,120,50,14
      GROUPBOX        "Cell",IDC_STATIC,10,5,160,105,WS_GROUP
      GROUPBOX        "",IDC_STATIC,20,80,90,20,WS_GROUP
      EDITTEXT        IDC_CELL_NAME,30,47,130,12,ES_AUTOHSCROLL
***************
*** 360,366 ****
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS |
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL |
                      WS_TABSTOP
!     PUSHBUTTON      "oO",ID_GET_TOKENS,15,137,55,14
      PUSHBUTTON      "˱O",ID_DISCARD_TOKENS,80,137,55,14
      PUSHBUTTON      "",IDCANCEL,145,137,55,14
      PUSHBUTTON      "",9,215,137,55,14
--- 360,366 ----
      LISTBOX         IDC_TOKEN_LIST,10,18,265,110,LBS_SORT | LBS_USETABSTOPS |
                      LBS_NOINTEGRALHEIGHT | WS_VSCROLL | WS_HSCROLL |
                      WS_TABSTOP
!     DEFPUSHBUTTON   "oO",ID_GET_TOKENS,15,137,55,14
      PUSHBUTTON      "˱O",ID_DISCARD_TOKENS,80,137,55,14
      PUSHBUTTON      "",IDCANCEL,145,137,55,14
      PUSHBUTTON      "",9,215,137,55,14
***************
*** 410,416 ****
      PUSHBUTTON      "R",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "ܧ",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "l˸G",IDC_STATIC,10,10,50,8
!     PUSHBUTTON      "Tw",IDOK,202,145,45,14
      PUSHBUTTON      "",IDCANCEL,202,163,45,14
  END
  
--- 410,416 ----
      PUSHBUTTON      "R",IDC_DELETE,202,39,45,14,WS_DISABLED
      PUSHBUTTON      "ܧ",IDC_CHANGE,202,58,45,14,WS_DISABLED
      LTEXT           "l˸G",IDC_STATIC,10,10,50,8
!     DEfPUSHBUTTON   "Tw",IDOK,202,145,45,14
      PUSHBUTTON      "",IDCANCEL,202,163,45,14
  END
  
***************
*** 421,427 ****
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,66,8,147,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,66,23,147,12,ES_AUTOHSCROLL
!     PUSHBUTTON      "Tw",IDOK,22,53,45,14
      PUSHBUTTON      "",IDCANCEL,92,53,45,14
      PUSHBUTTON      "",9,167,53,45,14
      LTEXT           "@ΦW١G",IDC_STATIC,18,10,49,8
--- 421,427 ----
  BEGIN
      EDITTEXT        IDC_SHARE_NAME,66,8,147,12,ES_AUTOHSCROLL
      EDITTEXT        IDC_PATH_NAME,66,23,147,12,ES_AUTOHSCROLL
!     DEFPUSHBUTTON   "Tw",IDOK,22,53,45,14
      PUSHBUTTON      "",IDCANCEL,92,53,45,14
      PUSHBUTTON      "",9,167,53,45,14
      LTEXT           "@ΦW١G",IDC_STATIC,18,10,49,8
Index: openafs/src/WINNT/doc/install/Documentation/en_US/html/ReleaseNotes/relnotes.htm
diff -c openafs/src/WINNT/doc/install/Documentation/en_US/html/ReleaseNotes/relnotes.htm:1.2.2.3 openafs/src/WINNT/doc/install/Documentation/en_US/html/ReleaseNotes/relnotes.htm:1.2.2.5
*** openafs/src/WINNT/doc/install/Documentation/en_US/html/ReleaseNotes/relnotes.htm:1.2.2.3	Mon Sep 26 20:44:35 2005
--- openafs/src/WINNT/doc/install/Documentation/en_US/html/ReleaseNotes/relnotes.htm	Sun Oct  2 22:32:47 2005
***************
*** 36,54 ****
    <o:Author>Jeffrey Altman</o:Author>
    <o:Keywords>OpenAFS 1.4.0</o:Keywords>
    <o:LastAuthor>Jeffrey Altman</o:LastAuthor>
!   <o:Revision>3</o:Revision>
!   <o:TotalTime>39</o:TotalTime>
    <o:LastPrinted>2005-09-26T23:55:00Z</o:LastPrinted>
    <o:Created>2005-09-25T20:12:00Z</o:Created>
!   <o:LastSaved>2005-09-27T00:33:00Z</o:LastSaved>
    <o:Pages>1</o:Pages>
!   <o:Words>14488</o:Words>
!   <o:Characters>82584</o:Characters>
    <o:Company>Secure Endpoints Inc.</o:Company>
!   <o:Lines>688</o:Lines>
!   <o:Paragraphs>193</o:Paragraphs>
!   <o:CharactersWithSpaces>96879</o:CharactersWithSpaces>
!   <o:Version>11.6408</o:Version>
   </o:DocumentProperties>
  </xml><![endif]--><!--[if gte mso 9]><xml>
   <w:WordDocument>
--- 36,54 ----
    <o:Author>Jeffrey Altman</o:Author>
    <o:Keywords>OpenAFS 1.4.0</o:Keywords>
    <o:LastAuthor>Jeffrey Altman</o:LastAuthor>
!   <o:Revision>5</o:Revision>
!   <o:TotalTime>45</o:TotalTime>
    <o:LastPrinted>2005-09-26T23:55:00Z</o:LastPrinted>
    <o:Created>2005-09-25T20:12:00Z</o:Created>
!   <o:LastSaved>2005-10-03T02:28:00Z</o:LastSaved>
    <o:Pages>1</o:Pages>
!   <o:Words>14557</o:Words>
!   <o:Characters>82979</o:Characters>
    <o:Company>Secure Endpoints Inc.</o:Company>
!   <o:Lines>691</o:Lines>
!   <o:Paragraphs>194</o:Paragraphs>
!   <o:CharactersWithSpaces>97342</o:CharactersWithSpaces>
!   <o:Version>11.6568</o:Version>
   </o:DocumentProperties>
  </xml><![endif]--><!--[if gte mso 9]><xml>
   <w:WordDocument>
***************
*** 2275,2280 ****
--- 2275,2281 ----
  	mso-pagination:widow-orphan;
  	font-size:10.0pt;
  	font-family:"Times New Roman";
+ 	mso-fareast-font-family:"Times New Roman";
  	mso-ansi-language:#0400;
  	mso-fareast-language:#0400;
  	mso-bidi-language:#0400;}
***************
*** 2429,2435 ****
  	mso-bidi-language:#0400;}
  </style>
  <![endif]--><!--[if gte mso 9]><xml>
!  <o:shapedefaults v:ext="edit" spidmax="3074"/>
  </xml><![endif]--><!--[if gte mso 9]><xml>
   <o:shapelayout v:ext="edit">
    <o:idmap v:ext="edit" data="1"/>
--- 2430,2436 ----
  	mso-bidi-language:#0400;}
  </style>
  <![endif]--><!--[if gte mso 9]><xml>
!  <o:shapedefaults v:ext="edit" spidmax="5122"/>
  </xml><![endif]--><!--[if gte mso 9]><xml>
   <o:shapelayout v:ext="edit">
    <o:idmap v:ext="edit" data="1"/>
***************
*** 2455,2464 ****
  authentication is managed by a much larger organization.<span
  style='mso-spacerun:yes'> </span>AFS clients and servers take advantage of
  Kerberos cross realm authentication to enable authenticated access by entities
! located outside the local realm.<span style='mso-spacerun:yes'> </span>Authorization
! is enforced by the use of directory level access control lists which can
! consist of individual or group identities.<span style='mso-spacerun:yes'>
! </span></p>
  
  <p class=MsoBodyText>The AFS volume is a tree of files and
  sub-directories.<span style='mso-spacerun:yes'> </span>AFS volumes are created
--- 2456,2465 ----
  authentication is managed by a much larger organization.<span
  style='mso-spacerun:yes'> </span>AFS clients and servers take advantage of
  Kerberos cross realm authentication to enable authenticated access by entities
! located outside the local realm.<span style='mso-spacerun:yes'>
! </span>Authorization is enforced by the use of directory level access control
! lists which can consist of individual or group identities.<span
! style='mso-spacerun:yes'> </span></p>
  
  <p class=MsoBodyText>The AFS volume is a tree of files and
  sub-directories.<span style='mso-spacerun:yes'> </span>AFS volumes are created
***************
*** 2476,2491 ****
  replica, clients will read all of the data from a single replica.<span
  style='mso-spacerun:yes'> </span>If that replica becomes unavailable, the
  clients will failover to any replica that is reachable.<span
! style='mso-spacerun:yes'> </span>Users of the data are unaware of where the replicas
! are stored or which one is being accessed.<span style='mso-spacerun:yes'>
! </span>The contents of the replicas can be updated at any time by <i
! style='mso-bidi-font-style:normal'>releasing</i> the current contents of the
! source volume.</p>
  
  <p class=MsoBodyText>OpenAFS for Windows (OAFW) provides AFS client access
  Microsoft Windows operating systems.<span style='mso-spacerun:yes'> </span>It
! strives to maintain transparency such that the user is unaware of the distinction
! between the use of AFS and Microsoft Windows file shares.<span
  style='mso-spacerun:yes'> </span>OAFW can be part of a single sign-on
  solution by allowing credentials for a Kerberos principal to be obtained at
  logon and for that principal to be used to obtain AFS tokens for one or more
--- 2477,2492 ----
  replica, clients will read all of the data from a single replica.<span
  style='mso-spacerun:yes'> </span>If that replica becomes unavailable, the
  clients will failover to any replica that is reachable.<span
! style='mso-spacerun:yes'> </span>Users of the data are unaware of where the
! replicas are stored or which one is being accessed.<span
! style='mso-spacerun:yes'> </span>The contents of the replicas can be updated
! at any time by <i style='mso-bidi-font-style:normal'>releasing</i> the current
! contents of the source volume.</p>
  
  <p class=MsoBodyText>OpenAFS for Windows (OAFW) provides AFS client access
  Microsoft Windows operating systems.<span style='mso-spacerun:yes'> </span>It
! strives to maintain transparency such that the user is unaware of the
! distinction between the use of AFS and Microsoft Windows file shares.<span
  style='mso-spacerun:yes'> </span>OAFW can be part of a single sign-on
  solution by allowing credentials for a Kerberos principal to be obtained at
  logon and for that principal to be used to obtain AFS tokens for one or more
***************
*** 2542,2550 ****
  display:none;mso-hide:screen;text-decoration:none;text-underline:none'><span
  style='mso-tab-count:1 dotted'>. </span></span><!--[if supportFields]><span
  style='color:windowtext;display:none;mso-hide:screen;text-decoration:none;
! text-underline:none'><span style='mso-element:field-begin'></span> PAGEREF _Toc115417111
! \h </span><span style='color:windowtext;text-decoration:none;text-underline:
! none'><span style='display:none;mso-hide:screen'><span style='mso-element:field-separator'></span></span></span><![endif]--><span
  style='color:windowtext;display:none;mso-hide:screen;text-decoration:none;
  text-underline:none'>2<!--[if gte mso 9]><xml>
   <w:data>08D0C9EA79F9BACE118C8200AA004BA90B02000000080000000E0000005F0054006F0063003100310035003400310037003100310031000000</w:data>
--- 2543,2552 ----
  display:none;mso-hide:screen;text-decoration:none;text-underline:none'><span
  style='mso-tab-count:1 dotted'>. </span></span><!--[if supportFields]><span
  style='color:windowtext;display:none;mso-hide:screen;text-decoration:none;
! text-underline:none'><span style='mso-element:field-begin'></span> PAGEREF
! _Toc115417111 \h </span><span style='color:windowtext;text-decoration:none;
! text-underline:none'><span style='display:none;mso-hide:screen'><span
! style='mso-element:field-separator'></span></span></span><![endif]--><span
  style='color:windowtext;display:none;mso-hide:screen;text-decoration:none;
  text-underline:none'>2<!--[if gte mso 9]><xml>
   <w:data>08D0C9EA79F9BACE118C8200AA004BA90B02000000080000000E0000005F0054006F0063003100310035003400310037003100310031000000</w:data>
***************
*** 2895,2913 ****
  other network adapters installed on the system.<span style='mso-spacerun:yes'>
  </span></p>
  
! <p class=MsoNormal>The MLA is installed with a name of &quot;AFS&quot; and a
! pre-assigned IP address in the 10.x.x.x range.<span style='mso-spacerun:yes'>
! </span>The MLA is bound to the Client for Microsoft Networks service and not
! bound to the File and Printer Sharing for Microsoft Networks.<span
  style='mso-spacerun:yes'> </span>If the MLA is unbound to &quot;Client
  Microsoft Networks&quot;, the OpenAFS Client Service will become inaccessible
  when the machine is disconnected from the network.<span
  style='mso-spacerun:yes'> </span>If the MLA is bound to &quot;File and Printer
  Sharing ...&quot; there will be a service type collision between the name
  &quot;AFS&quot; and the name of the machine on the MLA's IP Address that will
! result in the OpenAFS client service becoming inaccessible and the &quot;NET VIEW
! \\AFS&quot; command will return a &quot;System Error 52&quot; message.<span
! style='mso-spacerun:yes'> </span>To correct the problem:</p>
  
  <p class=MsoNormal style='margin-left:49.6pt;text-indent:-14.15pt;mso-list:
  l3 level1 lfo10;tab-stops:list 14.15pt'><![if !supportLists]><span
--- 2897,2915 ----
  other network adapters installed on the system.<span style='mso-spacerun:yes'>
  </span></p>
  
! <p class=MsoNormal>The MLA is installed with a name of &quot;AFS&quot; and a pre-assigned
! IP address in the 10.x.x.x range.<span style='mso-spacerun:yes'> </span>The
! MLA is bound to the Client for Microsoft Networks service and not bound to
! the File and Printer Sharing for Microsoft Networks.<span
  style='mso-spacerun:yes'> </span>If the MLA is unbound to &quot;Client
  Microsoft Networks&quot;, the OpenAFS Client Service will become inaccessible
  when the machine is disconnected from the network.<span
  style='mso-spacerun:yes'> </span>If the MLA is bound to &quot;File and Printer
  Sharing ...&quot; there will be a service type collision between the name
  &quot;AFS&quot; and the name of the machine on the MLA's IP Address that will
! result in the OpenAFS client service becoming inaccessible and the &quot;NET
! VIEW \\AFS&quot; command will return a &quot;System Error 52&quot;
! message.<span style='mso-spacerun:yes'> </span>To correct the problem:</p>
  
  <p class=MsoNormal style='margin-left:49.6pt;text-indent:-14.15pt;mso-list:
  l3 level1 lfo10;tab-stops:list 14.15pt'><![if !supportLists]><span
***************
*** 2949,2964 ****
  <p class=MsoNormal>When the MLA is not installed the unique NETBIOS name
  published by OpenAFS SMB server is &quot;<i>MACHINE</i>-AFS&quot;.<span
  style='mso-spacerun:yes'> </span>One of the benefits of using the MLA is that
! the NETBIOS name does not have to be published on any adapter other than the MLA.<span
! style='mso-spacerun:yes'> </span>Therefore the chosen name is no longer
! required to be unique.<span style='mso-spacerun:yes'> </span>Instead the
  NETBIOS name associated with the AFS Client Service is simply &quot;AFS&quot;
  and portable UNC paths of the form \\AFS\cellname\path can now be used on all
  machines.<!--[if supportFields]><span style='mso-element:field-begin'></span>
  XE &quot;loopback&quot; <![endif]--><!--[if supportFields]><span
  style='mso-element:field-end'></span><![endif]--><!--[if supportFields]><span
! style='mso-element:field-begin'></span><span style='mso-spacerun:yes'></span>XE
! &quot;UNC paths&quot; <![endif]--><!--[if supportFields]><span
  style='mso-element:field-end'></span><![endif]--><!--[if supportFields]><span
  style='mso-element:field-begin'></span><span
  style='mso-spacerun:yes'></span>XE &quot;NETBIOS&quot; <![endif]--><!--[if supportFields]><span
--- 2951,2966 ----
  <p class=MsoNormal>When the MLA is not installed the unique NETBIOS name
  published by OpenAFS SMB server is &quot;<i>MACHINE</i>-AFS&quot;.<span
  style='mso-spacerun:yes'> </span>One of the benefits of using the MLA is that
! the NETBIOS name does not have to be published on any adapter other than the
! MLA.<span style='mso-spacerun:yes'> </span>Therefore the chosen name is no
! longer required to be unique.<span style='mso-spacerun:yes'> </span>Instead the
  NETBIOS name associated with the AFS Client Service is simply &quot;AFS&quot;
  and portable UNC paths of the form \\AFS\cellname\path can now be used on all
  machines.<!--[if supportFields]><span style='mso-element:field-begin'></span>
  XE &quot;loopback&quot; <![endif]--><!--[if supportFields]><span
  style='mso-element:field-end'></span><![endif]--><!--[if supportFields]><span
! style='mso-element:field-begin'></span><span
! style='mso-spacerun:yes'></span>XE &quot;UNC paths&quot; <![endif]--><!--[if supportFields]><span
  style='mso-element:field-end'></span><![endif]--><!--[if supportFields]><span
  style='mso-element:field-begin'></span><span
  style='mso-spacerun:yes'></span>XE &quot;NETBIOS&quot; <![endif]--><!--[if supportFields]><span
***************
*** 2968,2991 ****
  name="_Toc115417045"><span style='mso-bookmark:_Toc115416109'>3.3. Using
  Freelance (Dynamic Root) Mode to Improve Mobility</span></a></h2>
  
! <p class=MsoNormal>Traditionally, when the OpenAFS Client Service starts it
! must be able to access the &quot;root.afs&quot; volume of the default
! cell.<span style='mso-spacerun:yes'> </span>The &quot;root.afs&quot; volume
! contains the set of mount points to the &quot;root.cell&quot; volumes of
! various cells the administrator of the default cell believes should be
! accessible.<span style='mso-spacerun:yes'> </span>If the &quot;root.afs&quot;
! volume is inaccessible when the client service is started, the service will
! terminate unexpectedly.<span style='mso-spacerun:yes'> </span>Since many users
! now use laptops or otherwise operate in disconnected environments in which a
! VPN may be required to access the cell's servers, it is often the case that the
  &quot;root.afs&quot; volume for the default cell is not reachable and the
  OpenAFS Client Service will not successfully start. </p>
  
  <p class=MsoNormal>To allow the OpenAFS Client Service to operate in these
! environments, a fake &quot;root.afs&quot; volume is dynamically constructed
! from mount points and symlinks stored in the local registry.<span
! style='mso-spacerun:yes'> </span>This method of operation is referred to as Freelance
! mode.</p>
  
  <p class=MsoNormal>The content of the fake root.afs volume is dynamically
  modified as cells are accessed.<span style='mso-spacerun:yes'> </span>When the
--- 2970,2993 ----
  name="_Toc115417045"><span style='mso-bookmark:_Toc115416109'>3.3. Using
  Freelance (Dynamic Root) Mode to Improve Mobility</span></a></h2>
  
! <p class=MsoNormal>Traditionally, when the OpenAFS Client Service starts it must
! be able to access the &quot;root.afs&quot; volume of the default cell.<span
! style='mso-spacerun:yes'> </span>The &quot;root.afs&quot; volume contains the
! set of mount points to the &quot;root.cell&quot; volumes of various cells the
! administrator of the default cell believes should be accessible.<span
! style='mso-spacerun:yes'> </span>If the &quot;root.afs&quot; volume is
! inaccessible when the client service is started, the service will terminate
! unexpectedly.<span style='mso-spacerun:yes'> </span>Since many users now use
! laptops or otherwise operate in disconnected environments in which a VPN may be
! required to access the cell's servers, it is often the case that the
  &quot;root.afs&quot; volume for the default cell is not reachable and the
  OpenAFS Client Service will not successfully start. </p>
  
  <p class=MsoNormal>To allow the OpenAFS Client Service to operate in these
! environments, a fake &quot;root.afs&quot; volume is dynamically constructed from
! mount points and symlinks stored in the local registry.<span
! style='mso-spacerun:yes'> </span>This method of operation is referred to as
! Freelance mode.</p>
  
  <p class=MsoNormal>The content of the fake root.afs volume is dynamically
  modified as cells are accessed.<span style='mso-spacerun:yes'> </span>When the
***************
*** 3015,3021 ****
  <p class=PreformattedText style='margin-left:35.45pt'>&gt;fs rmmount
  \\AFS\athena.mit.edu</p>
  
! <p class=PreformattedText style='margin-left:35.45pt'>&gt;fs rmmount \\AFS\.athena.mit.edu</p>
  
  <p class=MsoNormal>Symlinks may also be created within the Freelance root.afs
  volume.</p>
--- 3017,3024 ----
  <p class=PreformattedText style='margin-left:35.45pt'>&gt;fs rmmount
  \\AFS\athena.mit.edu</p>
  
! <p class=PreformattedText style='margin-left:35.45pt'>&gt;fs rmmount
! \\AFS\.athena.mit.edu</p>
  
  <p class=MsoNormal>Symlinks may also be created within the Freelance root.afs
  volume.</p>
***************
*** 3139,3146 ****
  <p class=PreformattedText><span style='mso-spacerun:yes'> </span>-U =
  uninstall startup shortcut</p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'> </span>-X = test
! and do map share</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'> </span>-Z = unmap
  drives</p>
--- 3142,3149 ----
  <p class=PreformattedText><span style='mso-spacerun:yes'> </span>-U =
  uninstall startup shortcut</p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'> </span><span
! style='mso-spacerun:yes'></span>-X = test and do map share</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'> </span>-Z = unmap
  drives</p>
***************
*** 3250,3258 ****
  mso-bidi-font-family:Symbol'><span style='mso-list:Ignore'><span
  style='font:7.0pt "Times New Roman"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span></span><![endif]>trace</p>
  
! <p class=MsoNormal>The creation or removal of mount points and symlinks in the Freelance
! root.afs volume are also restricted to members of the AFS Client Admins
! group.</p>
  
  <p class=MsoNormal>The initial membership of the &quot;AFS Client Admins&quot;
  group when created by the installer is equivalent to the local
--- 3253,3261 ----
  mso-bidi-font-family:Symbol'><span style='mso-list:Ignore'><span
  style='font:7.0pt "Times New Roman"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span></span></span><![endif]>trace</p>
  
! <p class=MsoNormal>The creation or removal of mount points and symlinks in the
! Freelance root.afs volume are also restricted to members of the AFS Client
! Admins group.</p>
  
  <p class=MsoNormal>The initial membership of the &quot;AFS Client Admins&quot;
  group when created by the installer is equivalent to the local
***************
*** 3297,3304 ****
  style='mso-spacerun:yes'> </span>AFS paths can be entered in UNIX notation
  (e.g., <a href="file:///\\afs\openafs.org\software">/afs/openafs.org/software</a>),
  space utilization reports the output of the volume status for the specified
! path, and many AFS specific functions and variables have been added to the
! command language.</p>
  
  <p class=MsoNormal>JPSoftware's web site is <span class=MsoHyperlink>http://www.jpsoft.com</span>.<!--[if supportFields]><span
  style='mso-element:field-begin'></span> XE &quot;JP Software&quot; <![endif]--><!--[if supportFields]><span
--- 3300,3307 ----
  style='mso-spacerun:yes'> </span>AFS paths can be entered in UNIX notation
  (e.g., <a href="file:///\\afs\openafs.org\software">/afs/openafs.org/software</a>),
  space utilization reports the output of the volume status for the specified
! path, and many AFS specific functions and variables have been added to the command
! language.</p>
  
  <p class=MsoNormal>JPSoftware's web site is <span class=MsoHyperlink>http://www.jpsoft.com</span>.<!--[if supportFields]><span
  style='mso-element:field-begin'></span> XE &quot;JP Software&quot; <![endif]--><!--[if supportFields]><span
***************
*** 3322,3337 ****
  <p class=PreformattedText><span style='mso-spacerun:yes'>
  </span>[[-p | -path] pathname]</p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'>
! </span>[-noprdb] [-force]</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'>
  </span>[-5 [-m]| -4]</p>
  
  <p class=PreformattedText><o:p>&nbsp;</o:p></p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'> </span><span
! style='mso-spacerun:yes'></span>-d = output debugging information.</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'> </span>cell = zero
  or more cells for which tokens will be obtained</p>
--- 3325,3340 ----
  <p class=PreformattedText><span style='mso-spacerun:yes'>
  </span>[[-p | -path] pathname]</p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'> </span><span
! style='mso-spacerun:yes'></span>[-noprdb] [-force]</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'>
  </span>[-5 [-m]| -4]</p>
  
  <p class=PreformattedText><o:p>&nbsp;</o:p></p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'> </span>-d = output
! debugging information.</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'> </span>cell = zero
  or more cells for which tokens will be obtained</p>
***************
*** 3345,3353 ****
  <p class=PreformattedText><span style='mso-spacerun:yes'> </span>-noprdb =
  don't try to determine AFS ID.</p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'></span><span
! style='mso-spacerun:yes'> </span>-5 or -4 = use Kerberos V (default) or
! Kerberos IV tickets</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'> </span>-m = use
  krb524d to convert Kerberos V tickets to Kerberos IV<!--[if supportFields]><span
--- 3348,3355 ----
  <p class=PreformattedText><span style='mso-spacerun:yes'> </span>-noprdb =
  don't try to determine AFS ID.</p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'> </span>-5 or -4 =
! use Kerberos V (default) or Kerberos IV tickets</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'> </span>-m = use
  krb524d to convert Kerberos V tickets to Kerberos IV<!--[if supportFields]><span
***************
*** 3388,3395 ****
  style='mso-element:field-end'></span><![endif]--></p>
  
  <h2 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416117"></a><a
! name="_Toc115417053"><span style='mso-bookmark:_Toc115416117'>3.11. OpenAFS
! Debugging Symbol files</span></a></h2>
  
  <p class=MsoNormal>The OpenAFS for Windows installers now include Debugging
  Symbol files which should be installed if you are experiencing problems and
--- 3390,3397 ----
  style='mso-element:field-end'></span><![endif]--></p>
  
  <h2 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416117"></a><a
! name="_Toc115417053"><span style='mso-bookmark:_Toc115416117'>3.11. OpenAFS Debugging
! Symbol files</span></a></h2>
  
  <p class=MsoNormal>The OpenAFS for Windows installers now include Debugging
  Symbol files which should be installed if you are experiencing problems and
***************
*** 3443,3450 ****
  &quot;fcrypt&quot; mode.</p>
  
  <h2 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416120"></a><a
! name="_Toc115417056"><span style='mso-bookmark:_Toc115416120'>3.14. Authenticated
! Access to the OpenAFS Client Service</span></a></h2>
  
  <p class=MsoNormal>OpenAFS 1.4 supports authenticated SMB connections using
  either NTLM or GSS SPNEGO (NTLM).<span style='mso-spacerun:yes'> </span>In
--- 3445,3452 ----
  &quot;fcrypt&quot; mode.</p>
  
  <h2 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416120"></a><a
! name="_Toc115417056"><span style='mso-bookmark:_Toc115416120'>3.14.
! Authenticated Access to the OpenAFS Client Service</span></a></h2>
  
  <p class=MsoNormal>OpenAFS 1.4 supports authenticated SMB connections using
  either NTLM or GSS SPNEGO (NTLM).<span style='mso-spacerun:yes'> </span>In
***************
*** 3454,3469 ****
  </span></p>
  
  <p class=MsoNormal>When GSS SPNEGO attempts a Kerberos 5 authentication, the
! Windows SMB client will attempt to retrieve service tickets for
! &quot;cifs/afs@REALM&quot; (if the loopback adapter is in use) or
! &quot;cifs/machine-afs@REALM&quot; (if the loopback adapter is not being
! used).<span style='mso-spacerun:yes'> </span>It is extremely important that
! this service principal not exist in the KDC database as the Kerberos
! authentication must fail allowing automatic fallback to NTLM.<span
! style='mso-spacerun:yes'> </span>When NTLM is used a special local
! authentication mode will be used that does not require access to the user's
! password.<span style='mso-spacerun:yes'> </span>Instead, Windows will
! internally recognize the request as coming from a local logon session.</p>
  
  <h2 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416121"></a><a
  name="_Toc115417057"><span style='mso-bookmark:_Toc115416121'>3.15. No More INI
--- 3456,3470 ----
  </span></p>
  
  <p class=MsoNormal>When GSS SPNEGO attempts a Kerberos 5 authentication, the
! Windows SMB client will attempt to retrieve service tickets for &quot;cifs/afs@REALM&quot;
! (if the loopback adapter is in use) or &quot;cifs/machine-afs@REALM&quot; (if
! the loopback adapter is not being used).<span style='mso-spacerun:yes'>
! </span>It is extremely important that this service principal not exist in the
! KDC database as the Kerberos authentication must fail allowing automatic
! fallback to NTLM.<span style='mso-spacerun:yes'> </span>When NTLM is used a
! special local authentication mode will be used that does not require access to
! the user's password.<span style='mso-spacerun:yes'> </span>Instead, Windows
! will internally recognize the request as coming from a local logon session.</p>
  
  <h2 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416121"></a><a
  name="_Toc115417057"><span style='mso-bookmark:_Toc115416121'>3.15. No More INI
***************
*** 3519,3528 ****
  <p class=MsoBodyText>Many applications on Windows (e.g. Microsoft Office)
  require the use of byte range locks applied to a file either to protect against
  simultaneous file access or as a signaling mechanism.<span
! style='mso-spacerun:yes'> </span>OpenAFS does not currently support byte range
! locks.<span style='mso-spacerun:yes'> </span>It is strongly recommended that
! files not be edited within AFS if they might be accessed by multiple users or
! multiple processes on a single machine.</p>
  
  <h2 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416125"></a><a
  name="_Toc115417061"><span style='mso-bookmark:_Toc115416125'>3.19. Automatic
--- 3520,3529 ----
  <p class=MsoBodyText>Many applications on Windows (e.g. Microsoft Office)
  require the use of byte range locks applied to a file either to protect against
  simultaneous file access or as a signaling mechanism.<span
! style='mso-spacerun:yes'> </span>OpenAFS does not currently support byte
! range locks.<span style='mso-spacerun:yes'> </span>It is strongly recommended
! that files not be edited within AFS if they might be accessed by multiple users
! or multiple processes on a single machine.</p>
  
  <h2 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416125"></a><a
  name="_Toc115417061"><span style='mso-bookmark:_Toc115416125'>3.19. Automatic
***************
*** 3531,3541 ****
  <p class=MsoNormal>OpenAFS 1.4 will automatically forget a user's tokens upon
  Logoff unless the user's profile was loaded from an AFS volume.<span
  style='mso-spacerun:yes'> </span>In this situation there is no mechanism to
! determine when the profile has been successfully written back to the network.<span
! style='mso-spacerun:yes'> </span>It is therefore unsafe to release the user's
! tokens.<span style='mso-spacerun:yes'> </span>Whether or not the profile has
! been loaded from the registry can be determined for Local Accounts, Active
! Directory accounts and NT4 accounts.</p>
  
  <p class=MsoNormal>If there is a need to disable this functionality, the <span
  style='mso-bidi-font-style:italic'><a href="#_Value_:_LogoffPreserveTokens">LogoffPreserveTokens</a></span>
--- 3532,3542 ----
  <p class=MsoNormal>OpenAFS 1.4 will automatically forget a user's tokens upon
  Logoff unless the user's profile was loaded from an AFS volume.<span
  style='mso-spacerun:yes'> </span>In this situation there is no mechanism to
! determine when the profile has been successfully written back to the
! network.<span style='mso-spacerun:yes'> </span>It is therefore unsafe to
! release the user's tokens.<span style='mso-spacerun:yes'> </span>Whether or
! not the profile has been loaded from the registry can be determined for Local
! Accounts, Active Directory accounts and NT4 accounts.</p>
  
  <p class=MsoNormal>If there is a need to disable this functionality, the <span
  style='mso-bidi-font-style:italic'><a href="#_Value_:_LogoffPreserveTokens">LogoffPreserveTokens</a></span>
***************
*** 3575,3582 ****
  allocated, entries will begin to be reused according to a least recently used
  (LRU) algorithm.<span style='mso-spacerun:yes'> </span>If the number of files
  or directories being accessed repeatedly by your applications is greater then
! the maximum number of entries, your host will begin to experience thrashing of the
! Status Cache and all requests will result in network operations.</p>
  
  <p class=MsoNormal>If you are experiencing poor performance try increasing the
  maximum number of Status Cache entries.<span style='mso-spacerun:yes'>
--- 3576,3583 ----
  allocated, entries will begin to be reused according to a least recently used
  (LRU) algorithm.<span style='mso-spacerun:yes'> </span>If the number of files
  or directories being accessed repeatedly by your applications is greater then
! the maximum number of entries, your host will begin to experience thrashing of
! the Status Cache and all requests will result in network operations.</p>
  
  <p class=MsoNormal>If you are experiencing poor performance try increasing the
  maximum number of Status Cache entries.<span style='mso-spacerun:yes'>
***************
*** 3589,3596 ****
  
  <p class=MsoNormal>&quot;Netbios over TCP/IP&quot; must be active on the
  machine in order for communication with the AFS Client Service to succeed.<span
! style='mso-spacerun:yes'> </span>If &quot;Netbios over TCP/IP&quot; is
! disabled on the machine, then communication with the AFS Client Service will be
  impossible.</p>
  
  <h2 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416130"></a><a
--- 3590,3597 ----
  
  <p class=MsoNormal>&quot;Netbios over TCP/IP&quot; must be active on the
  machine in order for communication with the AFS Client Service to succeed.<span
! style='mso-spacerun:yes'> </span>If &quot;Netbios over TCP/IP&quot; is disabled
! on the machine, then communication with the AFS Client Service will be
  impossible.</p>
  
  <h2 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416130"></a><a
***************
*** 3685,3695 ****
    </span>08/06<span style='mso-spacerun:yes'> </span>206<span
    style='mso-spacerun:yes'> </span>86<span style='mso-spacerun:yes'> </span>a
    ring</p>
!   <p class=PreformattedText><span style='mso-spacerun:yes'> </span><span
!   style='mso-spacerun:yes'></span>[]<span style='mso-spacerun:yes'>
!   </span>135<span style='mso-spacerun:yes'> </span>08/07<span
!   style='mso-spacerun:yes'> </span>207<span style='mso-spacerun:yes'>
!   </span>87<span style='mso-spacerun:yes'> </span>c cedilla</p>
    <p class=PreformattedText><span style='mso-spacerun:yes'> </span>[]<span
    style='mso-spacerun:yes'> </span>136<span style='mso-spacerun:yes'>
    </span>08/08<span style='mso-spacerun:yes'> </span>210<span
--- 3686,3696 ----
    </span>08/06<span style='mso-spacerun:yes'> </span>206<span
    style='mso-spacerun:yes'> </span>86<span style='mso-spacerun:yes'> </span>a
    ring</p>
!   <p class=PreformattedText><span style='mso-spacerun:yes'> </span>[]<span
!   style='mso-spacerun:yes'> </span>135<span style='mso-spacerun:yes'>
!   </span>08/07<span style='mso-spacerun:yes'> </span>207<span
!   style='mso-spacerun:yes'> </span>87<span style='mso-spacerun:yes'> </span>c
!   cedilla</p>
    <p class=PreformattedText><span style='mso-spacerun:yes'> </span>[]<span
    style='mso-spacerun:yes'> </span>136<span style='mso-spacerun:yes'>
    </span>08/08<span style='mso-spacerun:yes'> </span>210<span
***************
*** 3746,3755 ****
    style='mso-spacerun:yes'> </span>92<span style='mso-spacerun:yes'>
    </span>AE diphthong</p>
    <p class=PreformattedText><span style='mso-spacerun:yes'> </span>[]<span
!   style='mso-spacerun:yes'> </span>147 <span
!   style='mso-spacerun:yes'></span>09/03<span style='mso-spacerun:yes'>
!   </span>223<span style='mso-spacerun:yes'> </span>93<span
!   style='mso-spacerun:yes'> </span>o circumflex</p>
    <p class=PreformattedText><span style='mso-spacerun:yes'> </span>[]<span
    style='mso-spacerun:yes'> </span>148<span style='mso-spacerun:yes'>
    </span>09/04<span style='mso-spacerun:yes'> </span>224<span
--- 3747,3756 ----
    style='mso-spacerun:yes'> </span>92<span style='mso-spacerun:yes'>
    </span>AE diphthong</p>
    <p class=PreformattedText><span style='mso-spacerun:yes'> </span>[]<span
!   style='mso-spacerun:yes'> </span>147<span style='mso-spacerun:yes'>
!   </span>09/03<span style='mso-spacerun:yes'> </span>223<span
!   style='mso-spacerun:yes'> </span>93<span style='mso-spacerun:yes'> </span>o
!   circumflex</p>
    <p class=PreformattedText><span style='mso-spacerun:yes'> </span>[]<span
    style='mso-spacerun:yes'> </span>148<span style='mso-spacerun:yes'>
    </span>09/04<span style='mso-spacerun:yes'> </span>224<span
***************
*** 3830,3837 ****
  Character Set Issues with Roaming Profiles</span></a></h2>
  
  <p class=MsoNormal>There is a known issue with storing Windows Roaming Profiles
! when the profile contains either directories or files with names which cannot
! be represented in the local OEM character set.<span style='mso-spacerun:yes'>
  </span>In this case, attempts to write the profile back to AFS will fail.<span
  style='mso-spacerun:yes'> </span>OpenAFS for Windows does not currently
  support UNICODE.<span style='mso-spacerun:yes'> </span>To avoid this problem
--- 3831,3838 ----
  Character Set Issues with Roaming Profiles</span></a></h2>
  
  <p class=MsoNormal>There is a known issue with storing Windows Roaming Profiles
! when the profile contains either directories or files with names which cannot be
! represented in the local OEM character set.<span style='mso-spacerun:yes'>
  </span>In this case, attempts to write the profile back to AFS will fail.<span
  style='mso-spacerun:yes'> </span>OpenAFS for Windows does not currently
  support UNICODE.<span style='mso-spacerun:yes'> </span>To avoid this problem
***************
*** 3920,3927 ****
  <p class=PreformattedText>Where: -long<span style='mso-spacerun:yes'>
  </span>print all info</p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'> </span>-addrs<span
! style='mso-spacerun:yes'> </span>print only host interfaces</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'>
  </span>-cache<span style='mso-spacerun:yes'> </span>print only cache
--- 3921,3928 ----
  <p class=PreformattedText>Where: -long<span style='mso-spacerun:yes'>
  </span>print all info</p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'>
! </span>-addrs<span style='mso-spacerun:yes'> </span>print only host interfaces</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'>
  </span>-cache<span style='mso-spacerun:yes'> </span>print only cache
***************
*** 3932,3940 ****
  Logon Caching vs. Kerberos Logons</span></a></h2>
  
  <p class=MsoNormal>If you are a site which utilizes MIT/Heimdal Kerberos
! principals to logon to Windows via a cross-realm relationship with a multi-domain
! Windows forest, you must enable Windows logon caching unless the workstation is
! Windows Vista Beta 1 or later.</p>
  
  <h2 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416140"></a><a
  name="_Toc115417076"><span style='mso-bookmark:_Toc115416140'>3.34. Initial
--- 3933,3941 ----
  Logon Caching vs. Kerberos Logons</span></a></h2>
  
  <p class=MsoNormal>If you are a site which utilizes MIT/Heimdal Kerberos
! principals to logon to Windows via a cross-realm relationship with a
! multi-domain Windows forest, you must enable Windows logon caching unless the
! workstation is Windows Vista Beta 1 or later.</p>
  
  <h2 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416140"></a><a
  name="_Toc115417076"><span style='mso-bookmark:_Toc115416140'>3.34. Initial
***************
*** 3954,3960 ****
  <p class=MsoNormal>OpenAFS 1.4 reports timestamps on files stored in AFS in UTC
  all year round.<span style='mso-spacerun:yes'> </span>In locales with daylight
  savings time, previous versions of AFS for Windows reported the time when DST
! is active as UTC+1.<span style='mso-spacerun:yes'> </span>This was done to
  preserve the relative local time for the user.<span style='mso-spacerun:yes'>
  </span>A file stored at 11:00am EST in January would be reported as having been
  stored at 11:00am EDT in June.<span style='mso-spacerun:yes'>
--- 3955,3961 ----
  <p class=MsoNormal>OpenAFS 1.4 reports timestamps on files stored in AFS in UTC
  all year round.<span style='mso-spacerun:yes'> </span>In locales with daylight
  savings time, previous versions of AFS for Windows reported the time when DST
! is active as UTC+1. <span style='mso-spacerun:yes'></span>This was done to
  preserve the relative local time for the user.<span style='mso-spacerun:yes'>
  </span>A file stored at 11:00am EST in January would be reported as having been
  stored at 11:00am EDT in June.<span style='mso-spacerun:yes'>
***************
*** 4021,4028 ****
  
  <h1 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416145"></a><a
  name="_Toc115417081"></a><a name="_Toc115417112"><span style='mso-bookmark:
! _Toc115417081'><span style='mso-bookmark:_Toc115416145'>4. How to Debug
! Problems with OpenAFS for Windows:</span></span></a></h1>
  
  <p class=MsoNormal>OpenAFS for Windows provides a wide range of tools to assist
  you in debugging problems.<span style='mso-spacerun:yes'> </span>The
--- 4022,4029 ----
  
  <h1 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416145"></a><a
  name="_Toc115417081"></a><a name="_Toc115417112"><span style='mso-bookmark:
! _Toc115417081'><span style='mso-bookmark:_Toc115416145'>4. How to Debug Problems
! with OpenAFS for Windows:</span></span></a></h1>
  
  <p class=MsoNormal>OpenAFS for Windows provides a wide range of tools to assist
  you in debugging problems.<span style='mso-spacerun:yes'> </span>The
***************
*** 4159,4165 ****
  any one time is 5000.<span style='mso-spacerun:yes'> </span>This can be
  adjusted with the <a href="#_Value_:_TraceBufferSize">registry value</a>:</p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'> </span>[HKLM\SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\Parameters]</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'>
  </span>REG_DWORD<span style='mso-spacerun:yes'> </span>TraceBufferSize </p>
--- 4160,4167 ----
  any one time is 5000.<span style='mso-spacerun:yes'> </span>This can be
  adjusted with the <a href="#_Value_:_TraceBufferSize">registry value</a>:</p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'>
! </span>[HKLM\SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\Parameters]</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'>
  </span>REG_DWORD<span style='mso-spacerun:yes'> </span>TraceBufferSize </p>
***************
*** 4179,4187 ****
  style='mso-spacerun:yes'> </span>When the OpenAFS Client Service starts and
  Bit 2 of the <a href="#_Value__:_TraceOption">TraceOption</a> value in the
  registry is set, all trace log events are output using the Windows Debug
! Monitor interface (OutputDebugString).<span style='mso-spacerun:yes'> </span></p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'> </span>[HKLM\SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\Parameters]</p>
  
  <p class=PreformattedText style='text-indent:12.0pt'>REG_DWORD<span
  style='mso-spacerun:yes'> </span>TraceOption = 0x04</p>
--- 4181,4190 ----
  style='mso-spacerun:yes'> </span>When the OpenAFS Client Service starts and
  Bit 2 of the <a href="#_Value__:_TraceOption">TraceOption</a> value in the
  registry is set, all trace log events are output using the Windows Debug
! Monitor interface (OutputDebugString). <span style='mso-spacerun:yes'></span></p>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'>
! </span>[HKLM\SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\Parameters]</p>
  
  <p class=PreformattedText style='text-indent:12.0pt'>REG_DWORD<span
  style='mso-spacerun:yes'> </span>TraceOption = 0x04</p>
***************
*** 4752,4759 ****
  list 18.0pt'><![if !supportLists]><span style='font-size:9.0pt;mso-fareast-font-family:
  Thorndale;mso-bidi-font-family:Thorndale'><span style='mso-list:Ignore'>2.<span
  style='font:7.0pt "Times New Roman"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
! </span></span></span><![endif]>Select the 'Property' table from the list of
! tables on the left.</p>
  
  <p class=MsoNormal style='margin-top:4.3pt;margin-right:0pt;margin-bottom:4.3pt;
  margin-left:18.0pt;text-indent:-18.0pt;mso-list:l14 level1 lfo30;tab-stops:
--- 4755,4762 ----
  list 18.0pt'><![if !supportLists]><span style='font-size:9.0pt;mso-fareast-font-family:
  Thorndale;mso-bidi-font-family:Thorndale'><span style='mso-list:Ignore'>2.<span
  style='font:7.0pt "Times New Roman"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
! </span></span></span><![endif]>Select the 'Property' table from the list of tables
! on the left.</p>
  
  <p class=MsoNormal style='margin-top:4.3pt;margin-right:0pt;margin-bottom:4.3pt;
  margin-left:18.0pt;text-indent:-18.0pt;mso-list:l14 level1 lfo30;tab-stops:
***************
*** 4974,4981 ****
  <p class=MsoNormal>These properties are combined to add a command line option
  to the shortcut that will be created in the Start:Programs:OpenAFS and
  Start:Programs:Startup folders (see CREDSSTARTUP).<span
! style='mso-spacerun:yes'> </span>The method of specifying the option was
! chosen for easy integration with the Windows Installer user interface.<span
  style='mso-spacerun:yes'> </span>Although other methods can be used to specify
  options to AFSCREDS.EXE, it is advised that they be avoided as transforms
  including such options may not apply to future releases of OpenAFS.</p>
--- 4977,4984 ----
  <p class=MsoNormal>These properties are combined to add a command line option
  to the shortcut that will be created in the Start:Programs:OpenAFS and
  Start:Programs:Startup folders (see CREDSSTARTUP).<span
! style='mso-spacerun:yes'> </span>The method of specifying the option was chosen
! for easy integration with the Windows Installer user interface.<span
  style='mso-spacerun:yes'> </span>Although other methods can be used to specify
  options to AFSCREDS.EXE, it is advised that they be avoided as transforms
  including such options may not apply to future releases of OpenAFS.</p>
***************
*** 4987,4994 ****
    <td width=590 valign=top style='width:442.8pt;padding:0pt 5.4pt 0pt 5.4pt'>
    <h6 style='mso-yfti-cnfc:1'><a name="_Toc115416185">CREDSSTARTUP</a></h6>
    <p class=MsoList style='mso-yfti-cnfc:1'>Valid values<span
!   style='mso-spacerun:yes'> </span><span style='mso-spacerun:yes'></span>:
!   '1' or '0'</p>
    <p class=MsoList style='mso-yfti-cnfc:1'>Controls whether AFSCreds.exe starts
    up automatically when the user logs on.<span style='mso-spacerun:yes'>
    </span>When CREDSSTARTUP is '1' a shortcut is added to the 'Startup' folder
--- 4990,4996 ----
    <td width=590 valign=top style='width:442.8pt;padding:0pt 5.4pt 0pt 5.4pt'>
    <h6 style='mso-yfti-cnfc:1'><a name="_Toc115416185">CREDSSTARTUP</a></h6>
    <p class=MsoList style='mso-yfti-cnfc:1'>Valid values<span
!   style='mso-spacerun:yes'> </span>: '1' or '0'</p>
    <p class=MsoList style='mso-yfti-cnfc:1'>Controls whether AFSCreds.exe starts
    up automatically when the user logs on.<span style='mso-spacerun:yes'>
    </span>When CREDSSTARTUP is '1' a shortcut is added to the 'Startup' folder
***************
*** 5224,5234 ****
  SDK.</p>
  
  <p class=MsoNormal style='margin-left:35.45pt'>The Attributes value of 144 is a
! sum of msidbComponentAttributesPermanent (16) and
! msidbComponentAttributesNeverOverwrite (128).<span style='mso-spacerun:yes'>
! </span>This ensures that local modifications are not overwritten or lost during
! an installation or uninstallation.<span style='mso-spacerun:yes'> </span>These
! are the same settings used on the default configuration files.</p>
  
  <p class=MsoNormal><span style='mso-tab-count:1'> </span>'fil_my_CellServDB'
  is a key into the 'File' table which we will fill later.</p>
--- 5226,5236 ----
  SDK.</p>
  
  <p class=MsoNormal style='margin-left:35.45pt'>The Attributes value of 144 is a
! sum of msidbComponentAttributesPermanent (16) and msidbComponentAttributesNeverOverwrite
! (128).<span style='mso-spacerun:yes'> </span>This ensures that local
! modifications are not overwritten or lost during an installation or
! uninstallation.<span style='mso-spacerun:yes'> </span>These are the same
! settings used on the default configuration files.</p>
  
  <p class=MsoNormal><span style='mso-tab-count:1'> </span>'fil_my_CellServDB'
  is a key into the 'File' table which we will fill later.</p>
***************
*** 5359,5377 ****
   </tr>
  </table>
  
! <p class=MsoNormal style='margin-left:35.45pt'>It is important to create the new
! feature under the 'feaClient' feature, which will ensure that the configuration
  file will be installed when the client binaries are installed.</p>
  
  <p class=MsoNormal style='margin-left:35.45pt'>Setting 'Display' to 0 will hide
! this feature from the feature selection dialog during an interactive installation.<span
! style='mso-spacerun:yes'> </span>A value of 30 for 'Level' allows this feature
! to be installed by default (on a 'Typical' installation).</p>
  
  <p class=MsoNormal style='margin-left:35.45pt'>The 'Attributes' value is
  msidbFeatureAttributesDisallowAdvertise (8), which is set on all features in
! the OpenAFS MSI.<span style='mso-spacerun:yes'> </span>The OpenAFS MSI is not designed
! for an advertised installation.</p>
  
  <p class=MsoNormal style='margin-left:18.0pt;text-indent:-18.0pt;mso-list:l13 level1 lfo32;
  tab-stops:list 18.0pt'><![if !supportLists]><span style='mso-fareast-font-family:
--- 5361,5379 ----
   </tr>
  </table>
  
! <p class=MsoNormal style='margin-left:35.45pt'>It is important to create the
! new feature under the 'feaClient' feature, which will ensure that the configuration
  file will be installed when the client binaries are installed.</p>
  
  <p class=MsoNormal style='margin-left:35.45pt'>Setting 'Display' to 0 will hide
! this feature from the feature selection dialog during an interactive
! installation.<span style='mso-spacerun:yes'> </span>A value of 30 for 'Level'
! allows this feature to be installed by default (on a 'Typical' installation).</p>
  
  <p class=MsoNormal style='margin-left:35.45pt'>The 'Attributes' value is
  msidbFeatureAttributesDisallowAdvertise (8), which is set on all features in
! the OpenAFS MSI.<span style='mso-spacerun:yes'> </span>The OpenAFS MSI is not
! designed for an advertised installation.</p>
  
  <p class=MsoNormal style='margin-left:18.0pt;text-indent:-18.0pt;mso-list:l13 level1 lfo32;
  tab-stops:list 18.0pt'><![if !supportLists]><span style='mso-fareast-font-family:
***************
*** 5524,5535 ****
  <p class=MsoNormal><span style='mso-tab-count:1'> </span><span
  style='mso-spacerun:yes'> </span>(leave other fields blank)</p>
  
! <p class=MsoNormal style='margin-left:35.45pt'>The 'Attributes' value is
! msidbFileAttributesNonCompressed (8192).<span style='mso-spacerun:yes'>
! </span>This is because we will be placing this file in the same directory as
! the MSI instead of embedding the file in it.<span style='mso-spacerun:yes'>
! </span>Transforms do not support updating compressed sources or adding new
! cabinet streams.</p>
  
  <p class=MsoNormal style='margin-left:35.45pt'>Finally, the 'Sequence' value of
  1000 will be used later to distinguish the file as being in a separate source
--- 5526,5536 ----
  <p class=MsoNormal><span style='mso-tab-count:1'> </span><span
  style='mso-spacerun:yes'> </span>(leave other fields blank)</p>
  
! <p class=MsoNormal style='margin-left:35.45pt'>The 'Attributes' value is msidbFileAttributesNonCompressed
! (8192).<span style='mso-spacerun:yes'> </span>This is because we will be
! placing this file in the same directory as the MSI instead of embedding the
! file in it.<span style='mso-spacerun:yes'> </span>Transforms do not support
! updating compressed sources or adding new cabinet streams.</p>
  
  <p class=MsoNormal style='margin-left:35.45pt'>Finally, the 'Sequence' value of
  1000 will be used later to distinguish the file as being in a separate source
***************
*** 5592,5599 ****
  <h4><a name="_Toc115416193"></a><a name="_2.3.1_Components_for_Configuration_"></a><span
  style='mso-bookmark:_Toc115416193'>7.2.3.1 Components for Configuration Files</span></h4>
  
! <p class=PreformattedText style='text-indent:35.45pt'>CellServDB: 'cpf_CellServDB'
! (ID {D5BA4C15-DBEC-4292-91FC-B54C30F24F2A})</p>
  
  <h3 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416194">7.2.4
  Adding Domain Specific Registry Keys</a></h3>
--- 5593,5600 ----
  <h4><a name="_Toc115416193"></a><a name="_2.3.1_Components_for_Configuration_"></a><span
  style='mso-bookmark:_Toc115416193'>7.2.3.1 Components for Configuration Files</span></h4>
  
! <p class=PreformattedText style='text-indent:35.45pt'>CellServDB:
! 'cpf_CellServDB' (ID {D5BA4C15-DBEC-4292-91FC-B54C30F24F2A})</p>
  
  <h3 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416194">7.2.4
  Adding Domain Specific Registry Keys</a></h3>
***************
*** 5638,5645 ****
   </tr>
   <tr style='mso-yfti-irow:1'>
    <td width=590 valign=top style='width:442.8pt;padding:0pt 5.4pt 0pt 5.4pt'>
!   <p class=MsoNormal><span style='mso-spacerun:yes'> </span>'Component'
!   table:</p>
    </td>
   </tr>
   <tr style='mso-yfti-irow:2'>
--- 5639,5645 ----
   </tr>
   <tr style='mso-yfti-irow:1'>
    <td width=590 valign=top style='width:442.8pt;padding:0pt 5.4pt 0pt 5.4pt'>
!   <p class=MsoNormal><span style='mso-spacerun:yes'> </span>'Component' table:</p>
    </td>
   </tr>
   <tr style='mso-yfti-irow:2'>
***************
*** 5660,5667 ****
   </tr>
   <tr style='mso-yfti-irow:3'>
    <td width=590 valign=top style='width:442.8pt;padding:0pt 5.4pt 0pt 5.4pt'>
!   <p class=MsoNormal><span style='mso-spacerun:yes'> </span>'FeatureComponents'
!   table:</p>
    </td>
   </tr>
   <tr style='mso-yfti-irow:4'>
--- 5660,5667 ----
   </tr>
   <tr style='mso-yfti-irow:3'>
    <td width=590 valign=top style='width:442.8pt;padding:0pt 5.4pt 0pt 5.4pt'>
!   <p class=MsoNormal><span style='mso-spacerun:yes'>
!   </span>'FeatureComponents' table:</p>
    </td>
   </tr>
   <tr style='mso-yfti-irow:4'>
***************
*** 5718,5725 ****
    <span style='mso-tab-count:1'> </span>Root<span style='mso-tab-count:
    2'> </span>: 2<br>
    <span style='mso-tab-count:1'> </span>Key<span style='mso-tab-count:
!   2'> </span>:
!   'SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\NetworkProvider\Domain\ATHENA.MIT.EDU'<br>
    <span style='mso-tab-count:1'> </span>Name<span style='mso-tab-count:
    2'> </span>: '*'<br>
    <span style='mso-tab-count:1'> </span>Component<span
--- 5718,5724 ----
    <span style='mso-tab-count:1'> </span>Root<span style='mso-tab-count:
    2'> </span>: 2<br>
    <span style='mso-tab-count:1'> </span>Key<span style='mso-tab-count:
!   2'> </span>: 'SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\NetworkProvider\Domain\ATHENA.MIT.EDU'<br>
    <span style='mso-tab-count:1'> </span>Name<span style='mso-tab-count:
    2'> </span>: '*'<br>
    <span style='mso-tab-count:1'> </span>Component<span
***************
*** 5734,5740 ****
    <span style='mso-tab-count:1'> </span>Root<span style='mso-tab-count:
    2'> </span>: 2<br>
    <span style='mso-tab-count:1'> </span>Key<span style='mso-tab-count:
!   2'> </span>: 'SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\NetworkProvider\Domain\ATHENA.MIT.EDU'<br>
    <span style='mso-tab-count:1'> </span>Name<span style='mso-tab-count:
    2'> </span>: 'LogonOptions'<br>
    <span style='mso-tab-count:1'> </span>Value<span style='mso-tab-count:
--- 5733,5740 ----
    <span style='mso-tab-count:1'> </span>Root<span style='mso-tab-count:
    2'> </span>: 2<br>
    <span style='mso-tab-count:1'> </span>Key<span style='mso-tab-count:
!   2'> </span>:
!   'SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\NetworkProvider\Domain\ATHENA.MIT.EDU'<br>
    <span style='mso-tab-count:1'> </span>Name<span style='mso-tab-count:
    2'> </span>: 'LogonOptions'<br>
    <span style='mso-tab-count:1'> </span>Value<span style='mso-tab-count:
***************
*** 5751,5757 ****
    <span style='mso-tab-count:1'> </span>Root<span style='mso-tab-count:
    2'> </span>: 2<br>
    <span style='mso-tab-count:1'> </span>Key<span style='mso-tab-count:
!   2'> </span>: SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\NetworkProvider\Domain\LOCALHOST'<br>
    <span style='mso-tab-count:1'> </span>Name<span style='mso-tab-count:
    2'> </span>: '*'<br>
    <span style='mso-tab-count:1'> </span>Component<span
--- 5751,5758 ----
    <span style='mso-tab-count:1'> </span>Root<span style='mso-tab-count:
    2'> </span>: 2<br>
    <span style='mso-tab-count:1'> </span>Key<span style='mso-tab-count:
!   2'> </span>:
!   SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\NetworkProvider\Domain\LOCALHOST'<br>
    <span style='mso-tab-count:1'> </span>Name<span style='mso-tab-count:
    2'> </span>: '*'<br>
    <span style='mso-tab-count:1'> </span>Component<span
***************
*** 5883,5889 ****
   </tr>
   <tr style='mso-yfti-irow:5'>
    <td width=590 valign=top style='width:442.8pt;padding:0pt 5.4pt 0pt 5.4pt'>
!   <p class=MsoNormal><span style='mso-spacerun:yes'> </span>'Registry' table:</p>
    </td>
   </tr>
   <tr style='mso-yfti-irow:6'>
--- 5884,5891 ----
   </tr>
   <tr style='mso-yfti-irow:5'>
    <td width=590 valign=top style='width:442.8pt;padding:0pt 5.4pt 0pt 5.4pt'>
!   <p class=MsoNormal><span style='mso-spacerun:yes'> </span>'Registry'
!   table:</p>
    </td>
   </tr>
   <tr style='mso-yfti-irow:6'>
***************
*** 5911,5918 ****
    <span style='mso-tab-count:1'> </span>Name<span style='mso-tab-count:
    2'> </span>: '0'<br>
    <span style='mso-spacerun:yes'> </span><span style='mso-tab-count:1'> </span>Value<span
!   style='mso-spacerun:yes'> </span><span
!   style='mso-spacerun:yes'></span><span style='mso-tab-count:1'> </span>:
    'athena.mit.edu#athena.mit.edu:root.cell.'<br>
    <span style='mso-tab-count:1'> </span>Component<span
    style='mso-tab-count:1'> </span>: 'rcm_FreelanceKeys'</p>
--- 5913,5919 ----
    <span style='mso-tab-count:1'> </span>Name<span style='mso-tab-count:
    2'> </span>: '0'<br>
    <span style='mso-spacerun:yes'> </span><span style='mso-tab-count:1'> </span>Value<span
!   style='mso-spacerun:yes'> </span><span style='mso-tab-count:1'> </span>:
    'athena.mit.edu#athena.mit.edu:root.cell.'<br>
    <span style='mso-tab-count:1'> </span>Component<span
    style='mso-tab-count:1'> </span>: 'rcm_FreelanceKeys'</p>
***************
*** 6045,6051 ****
  previous versions of OpenAFS for Windows during installation.<span
  style='mso-spacerun:yes'> </span>Previous versions are installations that used
  the NSIS (.EXE) installer or an MSI that has a known Upgrade Code and a
! different Product Code. <span style='mso-spacerun:yes'></span>The MSI does not
  directly upgrade an existing installation.<span style='mso-spacerun:yes'>
  </span>This is intentional and ensures that development releases which do not
  have strictly increasing version numbers are properly upgraded.</p>
--- 6046,6052 ----
  previous versions of OpenAFS for Windows during installation.<span
  style='mso-spacerun:yes'> </span>Previous versions are installations that used
  the NSIS (.EXE) installer or an MSI that has a known Upgrade Code and a
! different Product Code.<span style='mso-spacerun:yes'> </span>The MSI does not
  directly upgrade an existing installation.<span style='mso-spacerun:yes'>
  </span>This is intentional and ensures that development releases which do not
  have strictly increasing version numbers are properly upgraded.</p>
***************
*** 6092,6098 ****
  
  <h3 style='margin-left:0pt;text-indent:0pt'>7.4.1. OpenAFS MSI Product Codes</h3>
  
! <h4>Release 1.3<o:p></o:p></h4>
  
  <table class=MsoTableGrid border=1 cellspacing=0 cellpadding=0
   style='border-collapse:collapse;border:none;mso-border-alt:solid windowtext .5pt;
--- 6093,6099 ----
  
  <h3 style='margin-left:0pt;text-indent:0pt'>7.4.1. OpenAFS MSI Product Codes</h3>
  
! <h4>Release 1.3</h4>
  
  <table class=MsoTableGrid border=1 cellspacing=0 cellpadding=0
   style='border-collapse:collapse;border:none;mso-border-alt:solid windowtext .5pt;
***************
*** 6111,6117 ****
   </tr>
  </table>
  
! <h4>Release 1.4<o:p></o:p></h4>
  
  <table class=MsoTableGrid border=1 cellspacing=0 cellpadding=0
   style='border-collapse:collapse;border:none;mso-border-alt:solid windowtext .5pt;
--- 6112,6118 ----
   </tr>
  </table>
  
! <h4>Release 1.4</h4>
  
  <table class=MsoTableGrid border=1 cellspacing=0 cellpadding=0
   style='border-collapse:collapse;border:none;mso-border-alt:solid windowtext .5pt;
***************
*** 6143,6149 ****
   </tr>
  </table>
  
! <h4>Release 1.5<o:p></o:p></h4>
  
  <table class=MsoTableGrid border=1 cellspacing=0 cellpadding=0
   style='border-collapse:collapse;border:none;mso-border-alt:solid windowtext .5pt;
--- 6144,6150 ----
   </tr>
  </table>
  
! <h4>Release 1.5</h4>
  
  <table class=MsoTableGrid border=1 cellspacing=0 cellpadding=0
   style='border-collapse:collapse;border:none;mso-border-alt:solid windowtext .5pt;
***************
*** 6204,6211 ****
    Default: -1<br>
    Variable: LANadapter</p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>LAN adapter number to use.<span
!   style='mso-spacerun:yes'> </span>This is the lana number of the LAN adapter that
!   the SMB server should bind to.<span style='mso-spacerun:yes'> </span>If
    unspecified or set to -1, a LAN adapter with named 'AFS' or a loopback
    adapter will be selected.<span style='mso-spacerun:yes'> </span>If neither
    are present, then all available adapters will be bound to.<span
--- 6205,6212 ----
    Default: -1<br>
    Variable: LANadapter</p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>LAN adapter number to use.<span
!   style='mso-spacerun:yes'> </span>This is the lana number of the LAN adapter
!   that the SMB server should bind to.<span style='mso-spacerun:yes'> </span>If
    unspecified or set to -1, a LAN adapter with named 'AFS' or a loopback
    adapter will be selected.<span style='mso-spacerun:yes'> </span>If neither
    are present, then all available adapters will be bound to.<span
***************
*** 6255,6262 ****
    <p class=MsoBodyText>Type: DWORD<br>
    Default: 25 (CM_CONFIGDEFAULT_SVTHREADS)<br>
    Variable: numSvThreads</p>
!   <p class=MsoBodyText>Number of SMB server threads (number of threads of
!   smb_Server). (see smb_Server in smb.c).</p>
    </td>
   </tr>
   <tr style='mso-yfti-irow:4;height:79.25pt'>
--- 6256,6263 ----
    <p class=MsoBodyText>Type: DWORD<br>
    Default: 25 (CM_CONFIGDEFAULT_SVTHREADS)<br>
    Variable: numSvThreads</p>
!   <p class=MsoBodyText>Number of SMB server threads (number of threads of smb_Server).
!   (see smb_Server in smb.c).</p>
    </td>
   </tr>
   <tr style='mso-yfti-irow:4;height:79.25pt'>
***************
*** 6577,6585 ****
    Default: 0</p>
    <p class=MsoBodyText>Enables logging of debug output to the Windows Event
    Log.</p>
!   <p class=MsoBodyText>Bit 0 enables logging of &quot;Logon Events&quot; processed
!   by the Network Provider and Winlogon Event Notification Handler.<span
!   style='mso-spacerun:yes'> </span></p>
    <p class=MsoBodyText>Bit 1 enables logging of events captured by the AFS
    Client Service.</p>
    <p class=MsoBodyText>Bit 2 enables real-time viewing of &quot;fs trace&quot;
--- 6578,6586 ----
    Default: 0</p>
    <p class=MsoBodyText>Enables logging of debug output to the Windows Event
    Log.</p>
!   <p class=MsoBodyText>Bit 0 enables logging of &quot;Logon Events&quot;
!   processed by the Network Provider and Winlogon Event Notification
!   Handler.<span style='mso-spacerun:yes'> </span></p>
    <p class=MsoBodyText>Bit 1 enables logging of events captured by the AFS
    Client Service.</p>
    <p class=MsoBodyText>Bit 2 enables real-time viewing of &quot;fs trace&quot;
***************
*** 6655,6661 ****
    0, it means the file should be allowed to grow indefinitely.</p>
    </td>
   </tr>
!  <tr style='mso-yfti-irow:34;mso-yfti-lastrow:yes;height:65.75pt'>
    <td width=590 valign=top style='width:442.8pt;padding:0pt 5.4pt 0pt 5.4pt;
    height:65.75pt'>
    <h5><a name="_Toc115416236">Value: FlushOnHibernate</a></h5>
--- 6656,6662 ----
    0, it means the file should be allowed to grow indefinitely.</p>
    </td>
   </tr>
!  <tr style='mso-yfti-irow:34;height:65.75pt'>
    <td width=590 valign=top style='width:442.8pt;padding:0pt 5.4pt 0pt 5.4pt;
    height:65.75pt'>
    <h5><a name="_Toc115416236">Value: FlushOnHibernate</a></h5>
***************
*** 6665,6670 ****
--- 6666,6694 ----
    hibernate or stand-by.</p>
    </td>
   </tr>
+  <tr style='mso-yfti-irow:35;height:65.75pt'>
+   <td width=590 valign=top style='width:442.8pt;padding:0pt 5.4pt 0pt 5.4pt;
+   height:65.75pt'>
+   <h5>Value: RxEnablePeerStats</h5>
+   <p class=MsoBodyText>Type: REG_DWORD<br>
+   Default: 0x0</p>
+   <p class=MsoBodyText>This value will enable the gathering of RX Statistics
+   for connections with the Cache Managers Peers.<span
+   style='mso-spacerun:yes'> </span>This functionality can be adjusted at
+   runtime with the fs rxstatpeer command.</p>
+   </td>
+  </tr>
+  <tr style='mso-yfti-irow:36;mso-yfti-lastrow:yes;height:65.75pt'>
+   <td width=590 valign=top style='width:442.8pt;padding:0pt 5.4pt 0pt 5.4pt;
+   height:65.75pt'>
+   <h5>Value: RxEnableProcessStats<o:p></o:p></h5>
+   <p class=MsoBodyText>Type: REG_DWORD<br>
+   Default: 0x0<o:p></o:p></p>
+   <p class=MsoBodyText>This value will enable the gathering of RX Statistics
+   for the Cache Managers Process.<span style='mso-spacerun:yes'> </span>This
+   functionality can be adjusted at runtime with the fs rxstatproc command.<o:p></o:p></p>
+   </td>
+  </tr>
  </table>
  
  <h3 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416237">Regkey:<br>
***************
*** 7092,7098 ****
  
  <h3 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416273">Example:</a></h3>
  
! <p class=PreformattedText><span style='mso-spacerun:yes'></span>HKLM\SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\NetworkProvider</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'> </span>|</p>
  
--- 7116,7123 ----
  
  <h3 style='margin-left:0pt;text-indent:0pt'><a name="_Toc115416273">Example:</a></h3>
  
! <p class=PreformattedText><span
! style='mso-spacerun:yes'></span>HKLM\SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\NetworkProvider</p>
  
  <p class=PreformattedText><span style='mso-spacerun:yes'> </span>|</p>
  
***************
*** 7131,7147 ****
    LogonOptions</span></h5>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>Type: DWORD<br>
    Default: 0x01</p>
!   <p class=MsoBodyText style='mso-yfti-cnfc:1'>NSIS/WiX: depends on user
!   configuration</p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>0x00 - Integrated Logon is not
    used<br>
    0x01 - Integrated Logon is used<br>
    0x02 - High Security Mode is used (deprecated)<br>
    0x03 - Integrated Logon with High Security Mode is used (deprecated)</p>
!   <p class=MsoBodyText style='mso-yfti-cnfc:1'>High Security Mode generates
!   random SMB names for the creation of Drive Mappings.<span
!   style='mso-spacerun:yes'> </span>This mode should not be used without
!   Integrated Logon.</p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>As of 1.3.65 the SMB server
    supports SMB authentication.<span style='mso-spacerun:yes'> </span>The High
    Security Mode should not be used when using SMB authentication (SMBAuthType
--- 7156,7170 ----
    LogonOptions</span></h5>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>Type: DWORD<br>
    Default: 0x01</p>
!   <p class=MsoBodyText style='mso-yfti-cnfc:1'>NSIS/WiX: depends on user configuration</p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>0x00 - Integrated Logon is not
    used<br>
    0x01 - Integrated Logon is used<br>
    0x02 - High Security Mode is used (deprecated)<br>
    0x03 - Integrated Logon with High Security Mode is used (deprecated)</p>
!   <p class=MsoBodyText style='mso-yfti-cnfc:1'>High Security Mode generates random
!   SMB names for the creation of Drive Mappings.<span style='mso-spacerun:yes'>
!   </span>This mode should not be used without Integrated Logon.</p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>As of 1.3.65 the SMB server
    supports SMB authentication.<span style='mso-spacerun:yes'> </span>The High
    Security Mode should not be used when using SMB authentication (SMBAuthType
***************
*** 7226,7233 ****
  l15 level1 lfo36;tab-stops:list 36.0pt'><![if !supportLists]><span
  style='mso-fareast-font-family:Thorndale;mso-bidi-font-family:Thorndale'><span
  style='mso-list:Ignore'>1.<span style='font:7.0pt "Times New Roman"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
! </span></span></span><![endif]>NP key.
! (&quot;HKLM\SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\NetworkProvider&quot;)</p>
  
  <p class=MsoBodyText style='margin-left:36.0pt;text-indent:-18.0pt;mso-list:
  l15 level1 lfo36;tab-stops:list 36.0pt'><![if !supportLists]><span
--- 7249,7255 ----
  l15 level1 lfo36;tab-stops:list 36.0pt'><![if !supportLists]><span
  style='mso-fareast-font-family:Thorndale;mso-bidi-font-family:Thorndale'><span
  style='mso-list:Ignore'>1.<span style='font:7.0pt "Times New Roman"'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
! </span></span></span><![endif]>NP key. (&quot;HKLM\SYSTEM\CurrentControlSet\Services\TransarcAFSDaemon\NetworkProvider&quot;)</p>
  
  <p class=MsoBodyText style='margin-left:36.0pt;text-indent:-18.0pt;mso-list:
  l15 level1 lfo36;tab-stops:list 36.0pt'><![if !supportLists]><span
***************
*** 7311,7318 ****
    <p class=MsoBodyText>Type: REG_SZ<br>
    Default: &lt;none&gt;<br>
    Variable: IsServiceConfigured()</p>
!   <p class=MsoBodyText>The value Cell is used to determine if the AFS Client Service
!   has been properly configured or not.</p>
    </td>
   </tr>
  </table>
--- 7333,7340 ----
    <p class=MsoBodyText>Type: REG_SZ<br>
    Default: &lt;none&gt;<br>
    Variable: IsServiceConfigured()</p>
!   <p class=MsoBodyText>The value Cell is used to determine if the AFS Client
!   Service has been properly configured or not.</p>
    </td>
   </tr>
  </table>
***************
*** 7331,7338 ****
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>Type: DWORD {0, 1}<br>
    Default: 1<br>
    Function: InitApp(), Main_OnCheckTerminate()</p>
!   <p class=MsoBodyText style='mso-yfti-cnfc:1'>This value is used to determine whether
!   or not a shortcut should be maintained in the user's Start
    Menu-&gt;Programs-&gt;Startup folder. </p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>This value used to be stored at
    [HKLM\Software\TransarcCorporation\AFS Client\AfsCreds].</p>
--- 7353,7360 ----
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>Type: DWORD {0, 1}<br>
    Default: 1<br>
    Function: InitApp(), Main_OnCheckTerminate()</p>
!   <p class=MsoBodyText style='mso-yfti-cnfc:1'>This value is used to determine
!   whether or not a shortcut should be maintained in the user's Start
    Menu-&gt;Programs-&gt;Startup folder. </p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>This value used to be stored at
    [HKLM\Software\TransarcCorporation\AFS Client\AfsCreds].</p>
***************
*** 7379,7386 ****
    <p class=MsoBodyText>Type: REG_SZ<br>
    Default: &quot;-A -M -N -Q&quot;<br>
    Function: Shortcut_FixStartup</p>
!   <p class=MsoBodyText>This value specifies the command line options which should
!   be set as part of the shortcut to afscreds.exe.<span
    style='mso-spacerun:yes'> </span>afscreds.exe rewrites the shortcut each
    time it exits so as to ensure that the shortcut points to the latest version
    of the program.<span style='mso-spacerun:yes'> </span>This value is used to
--- 7401,7408 ----
    <p class=MsoBodyText>Type: REG_SZ<br>
    Default: &quot;-A -M -N -Q&quot;<br>
    Function: Shortcut_FixStartup</p>
!   <p class=MsoBodyText>This value specifies the command line options which
!   should be set as part of the shortcut to afscreds.exe.<span
    style='mso-spacerun:yes'> </span>afscreds.exe rewrites the shortcut each
    time it exits so as to ensure that the shortcut points to the latest version
    of the program.<span style='mso-spacerun:yes'> </span>This value is used to
***************
*** 7437,7445 ****
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>Type: DWORD {0, 1}<br>
    Default: &lt;none&gt;<br>
    Function: LoadRemind(), SaveRemind()</p>
!   <p class=MsoBodyText style='mso-yfti-cnfc:1'>These values are used to save
!   and restore the state of the reminder flag for each cell for which the user
!   has obtained tokens.</p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>This value used to be stored at
    [HKLM\Software\TransarcCorporation\AFS Client\AfsCreds].</p>
    </td>
--- 7459,7467 ----
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>Type: DWORD {0, 1}<br>
    Default: &lt;none&gt;<br>
    Function: LoadRemind(), SaveRemind()</p>
!   <p class=MsoBodyText style='mso-yfti-cnfc:1'>These values are used to save and
!   restore the state of the reminder flag for each cell for which the user has
!   obtained tokens.</p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>This value used to be stored at
    [HKLM\Software\TransarcCorporation\AFS Client\AfsCreds].</p>
    </td>
***************
*** 7460,7467 ****
    drive letter&quot;</a></h5>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>Type: DWORD {0, 1}<br>
    Default: &lt;none&gt;</p>
!   <p class=MsoBodyText style='mso-yfti-cnfc:1'>These values are used to store the
!   persistence state of the AFS drive mappings as listed in the
    [...\Client\Mappings] key.</p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>These values used to be stored
    in the afsdsbmt.ini file</p>
--- 7482,7489 ----
    drive letter&quot;</a></h5>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>Type: DWORD {0, 1}<br>
    Default: &lt;none&gt;</p>
!   <p class=MsoBodyText style='mso-yfti-cnfc:1'>These values are used to store
!   the persistence state of the AFS drive mappings as listed in the
    [...\Client\Mappings] key.</p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>These values used to be stored
    in the afsdsbmt.ini file</p>
***************
*** 7485,7492 ****
    Default: &lt;none&gt;</p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>These values are used to store
    the AFS path in UNIX notation to which the drive letter is to be mapped.</p>
!   <p class=MsoBodyText style='mso-yfti-cnfc:1'>These values used to be stored
!   in the afsdsbmt.ini file.</p>
    </td>
   </tr>
  </table>
--- 7507,7514 ----
    Default: &lt;none&gt;</p>
    <p class=MsoBodyText style='mso-yfti-cnfc:1'>These values are used to store
    the AFS path in UNIX notation to which the drive letter is to be mapped.</p>
!   <p class=MsoBodyText style='mso-yfti-cnfc:1'>These values used to be stored in
!   the afsdsbmt.ini file.</p>
    </td>
   </tr>
  </table>
Index: openafs/src/afs/SOLARIS/osi_vnodeops.c
diff -c openafs/src/afs/SOLARIS/osi_vnodeops.c:1.20.2.2 openafs/src/afs/SOLARIS/osi_vnodeops.c:1.20.2.3
*** openafs/src/afs/SOLARIS/osi_vnodeops.c:1.20.2.2	Sun Apr  3 14:15:39 2005
--- openafs/src/afs/SOLARIS/osi_vnodeops.c	Thu Sep 29 16:35:45 2005
***************
*** 11,17 ****
  #include "afs/param.h"
  
  RCSID
!     ("$Header: /cvs/openafs/src/afs/SOLARIS/osi_vnodeops.c,v 1.20.2.2 2005/04/03 18:15:39 shadow Exp $");
  
  /*
   * SOLARIS/osi_vnodeops.c
--- 11,17 ----
  #include "afs/param.h"
  
  RCSID
!     ("$Header: /cvs/openafs/src/afs/SOLARIS/osi_vnodeops.c,v 1.20.2.3 2005/09/29 20:35:45 shadow Exp $");
  
  /*
   * SOLARIS/osi_vnodeops.c
***************
*** 266,272 ****
      register struct dcache *tdc;
      int i, s, pexists;
      int slot;
!     afs_size_t offset, nlen;
      struct vrequest treq;
      afs_int32 mapForRead = 0, Code = 0;
      u_offset_t toffset;
--- 266,272 ----
      register struct dcache *tdc;
      int i, s, pexists;
      int slot;
!     afs_size_t offset = 0, nlen;
      struct vrequest treq;
      afs_int32 mapForRead = 0, Code = 0;
      u_offset_t toffset;
Index: openafs/src/afs/VNOPS/afs_vnop_readdir.c
diff -c openafs/src/afs/VNOPS/afs_vnop_readdir.c:1.24.2.5 openafs/src/afs/VNOPS/afs_vnop_readdir.c:1.24.2.6
*** openafs/src/afs/VNOPS/afs_vnop_readdir.c:1.24.2.5	Sun Apr  3 14:15:39 2005
--- openafs/src/afs/VNOPS/afs_vnop_readdir.c	Sun Oct  2 22:46:32 2005
***************
*** 23,29 ****
  #include "afs/param.h"
  
  RCSID
!     ("$Header: /cvs/openafs/src/afs/VNOPS/afs_vnop_readdir.c,v 1.24.2.5 2005/04/03 18:15:39 shadow Exp $");
  
  #include "afs/sysincludes.h"	/* Standard vendor system headers */
  #include "afsincludes.h"	/* Afs-based standard headers */
--- 23,29 ----
  #include "afs/param.h"
  
  RCSID
!     ("$Header: /cvs/openafs/src/afs/VNOPS/afs_vnop_readdir.c,v 1.24.2.6 2005/10/03 02:46:32 shadow Exp $");
  
  #include "afs/sysincludes.h"	/* Standard vendor system headers */
  #include "afsincludes.h"	/* Afs-based standard headers */
***************
*** 580,587 ****
  #if defined(AFS_SGI53_ENV)
      afs_int32 use64BitDirent, dirsiz;
  #endif /* defined(AFS_SGI53_ENV) */
      OSI_VC_CONVERT(avc);
! #ifdef	AFS_HPUX_ENV
      /*
       * XXX All the hacks for alloced sdirEntry and inlining of afs_readdir_move instead of calling
       * it is necessary for hpux due to stack problems that seem to occur when coming thru the nfs
--- 580,588 ----
  #if defined(AFS_SGI53_ENV)
      afs_int32 use64BitDirent, dirsiz;
  #endif /* defined(AFS_SGI53_ENV) */
+ #ifndef	AFS_HPUX_ENV
      OSI_VC_CONVERT(avc);
! #else
      /*
       * XXX All the hacks for alloced sdirEntry and inlining of afs_readdir_move instead of calling
       * it is necessary for hpux due to stack problems that seem to occur when coming thru the nfs
Index: openafs/src/afs/VNOPS/afs_vnop_write.c
diff -c openafs/src/afs/VNOPS/afs_vnop_write.c:1.36.2.5 openafs/src/afs/VNOPS/afs_vnop_write.c:1.36.2.6
*** openafs/src/afs/VNOPS/afs_vnop_write.c:1.36.2.5	Sun Apr 24 16:11:15 2005
--- openafs/src/afs/VNOPS/afs_vnop_write.c	Sun Oct  2 22:55:33 2005
***************
*** 21,27 ****
  #include "afs/param.h"
  
  RCSID
!     ("$Header: /cvs/openafs/src/afs/VNOPS/afs_vnop_write.c,v 1.36.2.5 2005/04/24 20:11:15 shadow Exp $");
  
  #include "afs/sysincludes.h"	/* Standard vendor system headers */
  #include "afsincludes.h"	/* Afs-based standard headers */
--- 21,27 ----
  #include "afs/param.h"
  
  RCSID
!     ("$Header: /cvs/openafs/src/afs/VNOPS/afs_vnop_write.c,v 1.36.2.6 2005/10/03 02:55:33 shadow Exp $");
  
  #include "afs/sysincludes.h"	/* Standard vendor system headers */
  #include "afsincludes.h"	/* Afs-based standard headers */
***************
*** 186,197 ****
      avc->states |= CDirty;
      tvec = (struct iovec *)osi_AllocSmallSpace(sizeof(struct iovec));
      while (totalLength > 0) {
! 	/* Read the cached info. If we call GetDCache while the cache
! 	 * truncate daemon is running we risk overflowing the disk cache.
! 	 * Instead we check for an existing cache slot. If we cannot
! 	 * find an existing slot we wait for the cache to drain
! 	 * before calling GetDCache.
  	 */
  	if (noLock) {
  	    tdc = afs_FindDCache(avc, filePos);
  	    if (tdc)
--- 186,198 ----
      avc->states |= CDirty;
      tvec = (struct iovec *)osi_AllocSmallSpace(sizeof(struct iovec));
      while (totalLength > 0) {
! 	/* 
! 	 *  The following line is necessary because afs_GetDCache with
! 	 *  flag == 4 expects the length field to be filled. It decides
! 	 *  from this whether it's necessary to fetch data into the chunk
! 	 *  before writing or not (when the whole chunk is overwritten!).
  	 */
+ 	len = totalLength;	/* write this amount by default */
  	if (noLock) {
  	    tdc = afs_FindDCache(avc, filePos);
  	    if (tdc)
Index: openafs/src/afsd/afs.conf.linux
diff -c openafs/src/afsd/afs.conf.linux:1.7.8.1 openafs/src/afsd/afs.conf.linux:1.7.8.2
*** openafs/src/afsd/afs.conf.linux:1.7.8.1	Fri Dec 17 10:13:40 2004
--- openafs/src/afsd/afs.conf.linux	Sun Oct  2 23:14:31 2005
***************
*** 79,84 ****
--- 79,88 ----
  OPTIONS=AUTOMATIC
  #OPTIONS=$SMALL
  
+ # force startup script to wait for salvage to finish before proceeding
+ # with machine boot
+ WAIT_FOR_SALVAGE=no
+ 
  # you should never need to change these settings
  AFSDIR=/afs
  CACHEDIR=/usr/vice/cache
Index: openafs/src/afsd/afs.rc.linux
diff -c openafs/src/afsd/afs.rc.linux:1.9.2.2 openafs/src/afsd/afs.rc.linux:1.9.2.3
*** openafs/src/afsd/afs.rc.linux:1.9.2.2	Sun Mar 20 10:02:30 2005
--- openafs/src/afsd/afs.rc.linux	Sun Oct  2 23:14:31 2005
***************
*** 282,287 ****
--- 282,295 ----
  	if  is_on $AFS_SERVER && test -x /usr/afs/bin/bosserver  ; then
  		/usr/afs/bin/bosserver 
  		test "$afs_rh" && touch /var/lock/subsys/afs
+ 		if is_on $WAIT_FOR_SALVAGE; then
+ 			# wait for fileserver to finish salvaging
+ 			sleep 10
+ 			while /usr/bin/bos status localhost fs 2>&1 | grep 'Auxiliary.*salvaging'; do
+ 				echo "Waiting for salvager to finish..... "
+ 				sleep 10
+ 			done
+ 		fi
  	fi
  
  	# Start AFS client
Index: openafs/src/config/NTMakefile.amd64_w2k
diff -c openafs/src/config/NTMakefile.amd64_w2k:1.1.2.19 openafs/src/config/NTMakefile.amd64_w2k:1.1.2.20
*** openafs/src/config/NTMakefile.amd64_w2k:1.1.2.19	Mon Sep 26 19:34:46 2005
--- openafs/src/config/NTMakefile.amd64_w2k	Sun Oct  2 20:15:24 2005
***************
*** 80,86 ****
  #define used in WinNT/2000 installation and program version display
  AFSPRODUCT_VER_MAJOR=1
  AFSPRODUCT_VER_MINOR=4
! AFSPRODUCT_VER_PATCH=0004
  AFSPRODUCT_VER_BUILD=0
  
  # For MSI installer, each major release should have a different GUID
--- 80,86 ----
  #define used in WinNT/2000 installation and program version display
  AFSPRODUCT_VER_MAJOR=1
  AFSPRODUCT_VER_MINOR=4
! AFSPRODUCT_VER_PATCH=0005
  AFSPRODUCT_VER_BUILD=0
  
  # For MSI installer, each major release should have a different GUID
Index: openafs/src/config/NTMakefile.i386_nt40
diff -c openafs/src/config/NTMakefile.i386_nt40:1.46.2.34 openafs/src/config/NTMakefile.i386_nt40:1.46.2.35
*** openafs/src/config/NTMakefile.i386_nt40:1.46.2.34	Mon Sep 26 19:34:46 2005
--- openafs/src/config/NTMakefile.i386_nt40	Sun Oct  2 20:15:24 2005
***************
*** 80,86 ****
  #define used in WinNT/2000 installation and program version display
  AFSPRODUCT_VER_MAJOR=1
  AFSPRODUCT_VER_MINOR=4
! AFSPRODUCT_VER_PATCH=0004
  AFSPRODUCT_VER_BUILD=0
  
  # For MSI installer, each major release should have a different GUID
--- 80,86 ----
  #define used in WinNT/2000 installation and program version display
  AFSPRODUCT_VER_MAJOR=1
  AFSPRODUCT_VER_MINOR=4
! AFSPRODUCT_VER_PATCH=0005
  AFSPRODUCT_VER_BUILD=0
  
  # For MSI installer, each major release should have a different GUID
Index: openafs/src/config/NTMakefile.i386_w2k
diff -c openafs/src/config/NTMakefile.i386_w2k:1.1.2.20 openafs/src/config/NTMakefile.i386_w2k:1.1.2.21
*** openafs/src/config/NTMakefile.i386_w2k:1.1.2.20	Mon Sep 26 19:34:46 2005
--- openafs/src/config/NTMakefile.i386_w2k	Sun Oct  2 20:15:24 2005
***************
*** 79,85 ****
  
  #define used in WinNT/2000 installation and program version display
  AFSPRODUCT_VER_MINOR=4
! AFSPRODUCT_VER_PATCH=0004
  AFSPRODUCT_VER_BUILD=0
  
  # For MSI installer, each major release should have a different GUID
--- 79,85 ----
  
  #define used in WinNT/2000 installation and program version display
  AFSPRODUCT_VER_MINOR=4
! AFSPRODUCT_VER_PATCH=0005
  AFSPRODUCT_VER_BUILD=0
  
  # For MSI installer, each major release should have a different GUID
Index: openafs/src/libafsrpc/afsrpc.def
diff -c openafs/src/libafsrpc/afsrpc.def:1.3.2.5 openafs/src/libafsrpc/afsrpc.def:1.3.2.6
*** openafs/src/libafsrpc/afsrpc.def:1.3.2.5	Mon Jul 11 15:08:48 2005
--- openafs/src/libafsrpc/afsrpc.def	Sun Oct  2 01:52:54 2005
***************
*** 215,219 ****
          rx_StartClientThread                    @220
  	rxkad_global_stats_lock			@221 DATA
  	rxkad_stats_key				@222 DATA
! 
  
--- 215,225 ----
          rx_StartClientThread                    @220
  	rxkad_global_stats_lock			@221 DATA
  	rxkad_stats_key				@222 DATA
! 	rx_enableProcessRPCStats                @223
! 	rx_disableProcessRPCStats               @224
! 	rx_clearProcessRPCStats                 @225
! 	rx_enablePeerRPCStats                	@226
! 	rx_disablePeerRPCStats               	@227
! 	rx_clearPeerRPCStats                 	@228
!         
  
Index: openafs/src/packaging/MacOS/OpenAFS.info
diff -c openafs/src/packaging/MacOS/OpenAFS.info:1.1.4.19 openafs/src/packaging/MacOS/OpenAFS.info:1.1.4.20
*** openafs/src/packaging/MacOS/OpenAFS.info:1.1.4.19	Mon Sep 26 00:07:57 2005
--- openafs/src/packaging/MacOS/OpenAFS.info	Mon Oct  3 12:17:51 2005
***************
*** 1,5 ****
  Title OpenAFS
! Version 1.4.0-rc5
  Description The OpenAFS distributed filesystem. This package installs an almost-ready-to-run client for OpenAFS. see http://www.openafs.org for more information.
  DefaultLocation /
  Diskname (null)
--- 1,5 ----
  Title OpenAFS
! Version 1.4.0-rc6
  Description The OpenAFS distributed filesystem. This package installs an almost-ready-to-run client for OpenAFS. see http://www.openafs.org for more information.
  DefaultLocation /
  Diskname (null)
Index: openafs/src/vfsck/dir.c
diff -c openafs/src/vfsck/dir.c:1.5 openafs/src/vfsck/dir.c:1.5.2.1
*** openafs/src/vfsck/dir.c:1.5	Tue Jul 15 19:17:26 2003
--- openafs/src/vfsck/dir.c	Sun Oct  2 22:46:33 2005
***************
*** 19,25 ****
  #include <afs/param.h>
  
  RCSID
!     ("$Header: /cvs/openafs/src/vfsck/dir.c,v 1.5 2003/07/15 23:17:26 shadow Exp $");
  
  #define VICE			/* allow us to put our changes in at will */
  #include <stdio.h>
--- 19,25 ----
  #include <afs/param.h>
  
  RCSID
!     ("$Header: /cvs/openafs/src/vfsck/dir.c,v 1.5.2.1 2005/10/03 02:46:33 shadow Exp $");
  
  #define VICE			/* allow us to put our changes in at will */
  #include <stdio.h>
***************
*** 64,70 ****
--- 64,74 ----
  #include <sys/sysmacros.h>
  #include <sys/ino.h>
  #define	DIRSIZ_MACRO
+ #ifdef HAVE_USR_OLD_USR_INCLUDE_NDIR_H
+ #include </usr/old/usr/include/ndir.h>
+ #else
  #include <ndir.h>
+ #endif
  #else
  #define KERNEL
  #include <sys/dir.h>
Index: openafs/src/vfsck/inode.c
diff -c openafs/src/vfsck/inode.c:1.5 openafs/src/vfsck/inode.c:1.5.2.1
*** openafs/src/vfsck/inode.c:1.5	Tue Jul 15 19:17:27 2003
--- openafs/src/vfsck/inode.c	Sun Oct  2 22:46:33 2005
***************
*** 19,25 ****
  #include <afs/param.h>
  
  RCSID
!     ("$Header: /cvs/openafs/src/vfsck/inode.c,v 1.5 2003/07/15 23:17:27 shadow Exp $");
  
  #define VICE			/* control whether AFS changes are present */
  #include <stdio.h>
--- 19,25 ----
  #include <afs/param.h>
  
  RCSID
!     ("$Header: /cvs/openafs/src/vfsck/inode.c,v 1.5.2.1 2005/10/03 02:46:33 shadow Exp $");
  
  #define VICE			/* control whether AFS changes are present */
  #include <stdio.h>
***************
*** 62,68 ****
--- 62,72 ----
  #include <sys/sysmacros.h>
  #include <sys/ino.h>
  #define	DIRSIZ_MACRO
+ #ifdef HAVE_USR_OLD_USR_INCLUDE_NDIR_H
+ #include </usr/old/usr/include/ndir.h>
+ #else
  #include <ndir.h>
+ #endif
  #else
  #include <sys/dir.h>
  #endif
Index: openafs/src/vfsck/main.c
diff -c openafs/src/vfsck/main.c:1.8.2.1 openafs/src/vfsck/main.c:1.8.2.2
*** openafs/src/vfsck/main.c:1.8.2.1	Sun Apr  3 14:15:54 2005
--- openafs/src/vfsck/main.c	Sun Oct  2 22:46:33 2005
***************
*** 19,25 ****
  #include <afs/param.h>
  
  RCSID
!     ("$Header: /cvs/openafs/src/vfsck/main.c,v 1.8.2.1 2005/04/03 18:15:54 shadow Exp $");
  
  #define VICE			/* allow us to put our changes in at will */
  #include <stdio.h>
--- 19,25 ----
  #include <afs/param.h>
  
  RCSID
!     ("$Header: /cvs/openafs/src/vfsck/main.c,v 1.8.2.2 2005/10/03 02:46:33 shadow Exp $");
  
  #define VICE			/* allow us to put our changes in at will */
  #include <stdio.h>
***************
*** 70,76 ****
--- 70,80 ----
  #include <sys/sysmacros.h>
  #include <sys/ino.h>
  #define	DIRSIZ_MACRO
+ #ifdef HAVE_USR_OLD_USR_INCLUDE_NDIR_H
+ #include </usr/old/usr/include/ndir.h>
+ #else
  #include <ndir.h>
+ #endif
  #else
  #define KERNEL
  #include <sys/dir.h>
Index: openafs/src/vfsck/pass2.c
diff -c openafs/src/vfsck/pass2.c:1.5.2.1 openafs/src/vfsck/pass2.c:1.5.2.2
*** openafs/src/vfsck/pass2.c:1.5.2.1	Sun Apr  3 14:15:54 2005
--- openafs/src/vfsck/pass2.c	Sun Oct  2 22:46:33 2005
***************
*** 19,25 ****
  #include <afs/param.h>
  
  RCSID
!     ("$Header: /cvs/openafs/src/vfsck/pass2.c,v 1.5.2.1 2005/04/03 18:15:54 shadow Exp $");
  
  #define VICE
  #include <sys/time.h>
--- 19,25 ----
  #include <afs/param.h>
  
  RCSID
!     ("$Header: /cvs/openafs/src/vfsck/pass2.c,v 1.5.2.2 2005/10/03 02:46:33 shadow Exp $");
  
  #define VICE
  #include <sys/time.h>
***************
*** 60,66 ****
--- 60,70 ----
  #include <sys/sysmacros.h>
  #include <sys/ino.h>
  #define	DIRSIZ_MACRO
+ #ifdef HAVE_USR_OLD_USR_INCLUDE_NDIR_H
+ #include </usr/old/usr/include/ndir.h>
+ #else
  #include <ndir.h>
+ #endif
  #else
  #include <sys/dir.h>
  #endif
Index: openafs/src/vfsck/utilities.c
diff -c openafs/src/vfsck/utilities.c:1.5.2.2 openafs/src/vfsck/utilities.c:1.5.2.3
*** openafs/src/vfsck/utilities.c:1.5.2.2	Sun Apr  3 14:15:54 2005
--- openafs/src/vfsck/utilities.c	Sun Oct  2 22:46:33 2005
***************
*** 19,25 ****
  #include <afs/param.h>
  
  RCSID
!     ("$Header: /cvs/openafs/src/vfsck/utilities.c,v 1.5.2.2 2005/04/03 18:15:54 shadow Exp $");
  
  #include <sys/param.h>
  #define VICE			/* allow us to put our changes in at will */
--- 19,25 ----
  #include <afs/param.h>
  
  RCSID
!     ("$Header: /cvs/openafs/src/vfsck/utilities.c,v 1.5.2.3 2005/10/03 02:46:33 shadow Exp $");
  
  #include <sys/param.h>
  #define VICE			/* allow us to put our changes in at will */
***************
*** 62,68 ****
--- 62,72 ----
  #include <sys/ino.h>
  #include <sys/signal.h>
  #define	DIRSIZ_MACRO
+ #ifdef HAVE_USR_OLD_USR_INCLUDE_NDIR_H
+ #include </usr/old/usr/include/ndir.h>
+ #else
  #include <ndir.h>
+ #endif
  #else
  #include <sys/dir.h>
  #endif
Index: openafs/src/vfsck/vprintf.c
diff -c openafs/src/vfsck/vprintf.c:1.5 openafs/src/vfsck/vprintf.c:1.5.2.1
*** openafs/src/vfsck/vprintf.c:1.5	Tue Jul 15 19:17:27 2003
--- openafs/src/vfsck/vprintf.c	Sun Oct  2 22:46:33 2005
***************
*** 14,20 ****
  #include <afs/param.h>
  
  RCSID
!     ("$Header: /cvs/openafs/src/vfsck/vprintf.c,v 1.5 2003/07/15 23:17:27 shadow Exp $");
  
  #define VICE			/* allow us to put our changes in at will */
  #include <stdio.h>
--- 14,20 ----
  #include <afs/param.h>
  
  RCSID
!     ("$Header: /cvs/openafs/src/vfsck/vprintf.c,v 1.5.2.1 2005/10/03 02:46:33 shadow Exp $");
  
  #define VICE			/* allow us to put our changes in at will */
  #include <stdio.h>
***************
*** 71,77 ****
--- 71,81 ----
  #include <sys/sysmacros.h>
  #include <sys/ino.h>
  #define	DIRSIZ_MACRO
+ #ifdef HAVE_USR_OLD_USR_INCLUDE_NDIR_H
+ #include </usr/old/usr/include/ndir.h>
+ #else
  #include <ndir.h>
+ #endif
  #else
  #define KERNEL
  #include <sys/dir.h>
